---
title: WordPress Resume Plugin
description: WP Resume is an out-of-the-box solution to get your résumé online and keep it updated. Built on WordPress 3.0's custom post type functionality, it offers a uniquely familiar approach to publishing. If you've got a WordPress site, you already know how to use WP Resume.
---

![WP Resume](https://ben.balter.com/wp-content/uploads/2010/09/wp_resume-300x223.png "Screenshot of Example WP Resume"){: .float-end .ms-3 .border }

As I began to set up my own site, I was not a huge fan of the options out there for adding a résumé or CV to a WordPress blog. Many personal sites used lackluster TinyMCE formatting (bold, italic, bullets, nothing else) or simply stuffed pre-styled HTML into an existing page. I can't even begin to fathom the workflows some people must go through every time they want to update their resume.[^1] A few purpose-built plugins offered a slightly more streamlined approach, but cluttered the backend with unnecessary and unfamiliar menus, and spawned legions of database tables to store the data.

### Enter WP Resume

WP Resume is an out-of-the-box solution to get your résumé online and keep it updated. Built on WordPress 3.0's custom post type functionality, it offers a uniquely familiar approach to publishing. If you've got a WordPress site, you already know how to use WP Resume.

### Features include

* Support for sections (e.g., education, experience), organizations (e.g., somewhere state university, Cogs, Inc.), positions (e.g., bachelor of arts, chief widget specialist), and details (e.g., grew bottom line by 15%, president of the sustainability club)
* Follows best practices in resume layout and design
* One click install, just start adding content
* Drag and drop ordering of resume elements
* Built on existing WordPress code, utilizing a single custom post type and two custom taxonomies
* The WYSIWYG editing experience you know and love
* Revisioning
* Integrates with your theme like they were made for each other
* Custom URL
* Does not use pretentious accents on the word "resume"
* Extremely original title

The hardest part of getting your résumé online should be doing the work listed on it, not wrestling the publishing platform. Simply put, WP Resume steps aside and lets your experience shine.

Interested? You can [see it in action](https://ben.balter.com/resume/), or if you're ready to take the plunge, [download it from the WordPress plugin repository](http://wordpress.org/extend/plugins/wp-resume/), and [try it today](http://wordpress.org/extend/plugins/wp-resume/installation/). There's even a [great walkthrough put together by the good folks at CUNY Graduate School of Journalism.](http://tech.journalism.cuny.edu/documentation/wp-resume/) Bugs, questions, comments, feedback? I'd love to hear about your experience with WP Resume in the comments below.

[^1]: I imagine it would resemble a highly digitized [Rube Goldberg Machine](http://www.youtube.com/watch?v=qybUFnY7Y8w)
