---
title: 'New Media Flak: Megaphone vs. Cocktail Party'
description: A recent back and forth in the opinion pages of GW's paper of note brought to light an emerging divide in publicists' approaches to social media.
---

A recent [back](http://www.gwhatchet.com/2010/09/07/gwtoday-stop-damaging-gws-reputation/) and [forth](http://www.gwhatchet.com/2010/09/13/conor-rogers-jguiffre-pls-refudiate/) in the opinion pages of GW's paper of note brought to light an emerging divide in publicists' approaches to social media. One the one hand, GW's primary Twitter account, [GWTweets](https://twitter.com/gwtweets), casts the University in a stoic, buttoned-up light, with little, if any interactions with members of the rather active online community (*e.g.*, mentions, @replies, or ReTweets). [GWToday](https://twitter.com/gwtoday) on the other hand, the *de facto* hub of the campus's Twitter scene, and arguably a [significant presence in higher education's social media world](http://www.socialmediahighered.com/), has historically taken a more cavalier approach to serving as the University's digital face. But which approach is "best"?

![Woman using a megaphone to yell at a man](https://ben.balter.com/wp-content/uploads/2010/09/3708549622_42a7d7e450_o-1024x363.jpg "Megaphone"){: .img-fluid .rounded }

Technology has the bad habit of upsetting social norms, and as much as we try, there's nothing we can do to stop it.[^1] Organizations looking to establish a presence on Twitter cannot afford to treat social media like other media they may have encountered. Social media is not a megaphone for a flaks to broadcast the press releases they would otherwise post elsewhere, but rather a cocktail party that provide organizations with the unique opportunity to loosen their tie, grab a drink, and work the room.

There is a generation of communications directors and public affairs vice presidents out there that see the liberalizing power of social media as a *liability*, rather than an *opportunity*. Personal interaction with stakeholders, be they students at a university or just those who enjoy [delicious, delicious sandwiches](http://twitter.com/jimmyjohns),[^2] allow organizations to connect with the people most passionate about their brand in a very real way. Just as it is second nature for city dwellers to walk past solicitors handing out pamphlets on the street corner, as the culture surrounding the technology continues to evolve so too will Twitter community begin to ostracize those members who refuse to join the ongoing digital dialog.

Simply put, Twitter is not a dumping ground for pre-vetted paper.[^3] The occasional typo or personal quip doesn't hurt a company's reputation, but rather humanizes it. So long as GWToday (or any corporate handle for that matter) falls short of sharing a [picture of what they're having for lunch](https://twitter.com/search?q=nom%20pic.twitter.com), we can only hope that they continue to be the model for establishing an online presence, rather than the exception.

*\[Photo: [tranchis](http://www.flickr.com/photos/tranchis/3708549622/)]*

[^1]: Without too much of a history lesson, see, e.g., Abraham Lincoln overseeing the Civil War from the telegraph office ushering in a new era of hands-on presidential leadership; home telephones giving rise to entire industries dedicated to interrupting families' dinners; Blackberrys changing business email etiquette.

[^2]: Jimmy John's often frat-boy-esque vocabulary may push the limits of informal interactions with stakeholders, but none-the-less serves to promote their brand.

[^3]: Thank the internet gods that TwitterFeed's RSS to Twitter conversion service didn't catch on.
