---
title: Does Every Cloud Have a Silver Lining?
description: Thunderstorms occur when divergent forces collide in clouds. It is becoming increasingly clear that cloud computing is in our extended forecast, but whether the imminent digital due process storm the cloud foreshadows will contain a silver privacy lining remains to be seen.
---

Today's New York Times article [outlining law enforcement officials' attempts to expand their digital wiretapping authority](http://www.nytimes.com/2010/09/27/us/27wiretap.html?_r=1&ref=technology "NYT: U.S. Tries to Make It Easier to Wiretap the Internet"){: data-proofer-ignore="true"}, offers interesting insight into the law enforcement world of tomorrow. In the not too distant future, TV's crime-process dramas may take on a very different feel. Gone will be the days of [gun-toting detectives busting down doors, search warrant in hand](http://www.youtube.com/watch?v=Vc51W8jGv9g). Instead, as our lives become increasingly digital, investigations will be conducted by [keyboard-wielding lab techs submitting automated requests to service providers](http://www.youtube.com/watch?v=6Z70BmmSkMY&feature=related "CSI Miami IP Address Lookup"). Don't be surprised if the next CSI spin-off is CSI: Inbox Inspectors Division.

But why does this shift matter? Simply put, in [the cloud](http://en.wikipedia.org/wiki/Cloud_computing "Wikipedia: Cloud Computing"), there is no door for the police to kick in. While the law is clear in that your physical files and those computer files stored on your computer itself enjoy the protections of the fourth amendment, those stored in the cloud do not, and the standards of proof required differ dramatically.[^1]

![Skyline with logos of cloud service providers superimposed on the clouds cleverly](https://ben.balter.com/wp-content/uploads/2010/09/4502026170_4bf31f04e6.jpg "Cloud Computing - 500px"){: .float-start .w-50 .me-3 .rounded }

Consider this: you are the target of a criminal investigation and the police believe that six months ago you e-mailed an accomplice to discuss the crime. Depending on your email settings and which service you use (e.g., if the "leave downloaded messages on server" option is checked), the police may need only offer "specific and articulable facts" that they suspect the email is related to the crime.[^2] That same email stored on your computer (e.g., if the setting is not checked), would require a search warrant and showing of probable cause, and thus would be afforded significantly greater protections under the law.[^3]

However, the typical "if you don't want it public, don't put it on the internet" argument doesn't apply here. While that may be true for [photos and updates posted to social networking sites](http://youropenbook.org/ "Your Open Book"), as more and more of our lives (and [commercial dealings](http://www.google.com/apps/intl/en/business/customers.html "Google Business Customers")) are pushed to the cloud, we're losing our abilities to have a digital private sphere.[^4]

The good news is that it's in service providers' interest to instill confidence in the integrity of your data by [disclosing when information is shared with authorities](http://www.google.com/transparencyreport/governmentrequests/ "Google Government Inqueries") and by [pushing for legal reform ](http://digitaldueprocess.org/index.cfm?objectid=37940370-2551-11DF-8E02000C296BA163 "Digital Due Process")to better safeguard personal data stored in the cloud. The bad news, beyond more [painfully tacky computer search scenes](http://www.youtube.com/watch?v=hkDD03yeLnU "YouTube: CSI Blog Search"), is that before we know it, our perception of privacy may be forced to evolve.

Thunderstorms occur when divergent forces collide in clouds. It is becoming increasingly clear that cloud computing is in our extended forecast, but whether the imminent [digital due process](http://digitaldueprocess.org/) storm the cloud foreshadows will contain a silver privacy lining remains to be seen.

Photo credit: [garyhayes](http://www.flickr.com/photos/garyhayes/4502026170/)

[^1]: *Compare* Fed. R. Crim. P. 41(e)(2)(B) *with* 18 U.S.C.A. § 2703(d) (West).

[^2]: 18 U.S.C.A. § 2703(d) (West).

[^3]: *See generall*y Obtaining Electronic Evidence, Federal Law Enforcement Training Center (July 2003).

[^4]: Take Google, as an example, who, to their credit, is a [front-runner in the push toward digital due process](http://googlepublicpolicy.blogspot.com/2010/09/digital-due-process-time-is-now.html "Google Policy Blog: Digital Due Process the Time is Now"), testifying on the Hill just last week. Without signing up for a Google account, through the use of cookies, Google can compile a relatively accurate profile of [what sites you visit](http://google.com "Google.com") and [how often you visit them](http://google.com/analytics "Google Analytics"), what [products you purchase](http://wallet.google.com "Google Wallet"), and [where you go](http://maps.google.com "Google Maps"). And if you sign-up for a near-ubiquitous Google account, you introduce the cloud to [what others are saying about you](http://alerts.google.com "Google Alerts"), [what you read](http://books.google.com "Google Books"), [files stored on your computer](http://desktop.google.com "Google Desktop"), and even [your medical history](http://google.com/health/ "Google Health"), not to mention with [whom](http://google.com/talk "Google Talk") [you](http://gmail.com "Gmail") [communicate](http://google.com/voice/ "Google Voice"), what [you're doing](https://calendar.google.com "Google Calendar"), and [where you are right now](http://mobile.google.com "Google Mobile").
