---
title: What Fourteen-Century Apple Pie Teaches Us About Sharing
description: Last week writer Monica Gaudio received an e-mail from a friend congratulating her on getting an article published in the Northeast-regional cooking magazine Cooks Source. There was only one problem -- she didn't. The article, a recipe for fourteen-century apple pie, was lifted, word-for-word, from Gaudio's Web site.
---

Everyone knows the old adage: "If it's on the internet, it must be true free.[^1]" It turns out despite the internet's [otherwise murky attribution waters](http://www.huffingtonpost.com/jay-rosen/the-uncharted-from-off-th_b_96575.html), that's not quite the case.

![Apple Pie Courtesy @belochkavita](https://ben.balter.com/wp-content/uploads/2010/11/244921874_44ec1cbfa9-292x300.jpg "Apple Pie Courtesy belochkavita"){: .float-start .me-3 .rounded }

Last week writer Monica Gaudio [received an email from a friend](http://illadore.livejournal.com/30674.html) congratulating her on getting an article published in the Northeast-regional cooking magazine [Cooks Source](http://cookssource.com). There was only one problem — she didn't. The article, a recipe for fourteen-century apple pie, was lifted, word-for-word, from [Gaudio's site](http://godecookery.com/twotarts/twotarts.html). After an email back-and-forth in which Gaudio asked for an apology, a copy of the magazine, and a $130 donation to the Columbia Journalism School, Cooks [Source Editor Judith Griggs noted][4]:

> "…the web is considered "public domain" and you should be happy we just didn't "lift" your whole article and put someone else's name on it! It happens a lot, clearly more than you are aware of, especially on college campuses, and the workplace."

A quick search on WestLaw reveals that the "[\[w\]ell, it was on the internet](http://www.edrants.com/the-cooks-source-scandal-how-a-magazine-profits-on-theft/)" defense is not recognized as a valid defense to copyright infringement in any American court of jurisprudence. It turns out, anything on the internet has the same copyright protections as its physical analog.[^2] So long as the work is fixed, original, and creative, it is subject to copyright protections.[^3] This remains true whether or not a conspicuous copyright notice is present or the work is registered with the copyright office [^4].

After several [major](http://gawker.com/5681770/magazine-editor-steals-article-tells-writer-you-should-compensate-me?skyline=true&s=i) [blogs](http://gizmodo.com/5681714/attention-the-web-is-not-public-domain) got whiff of the story, and not long after, [Time](http://newsfeed.time.com/2010/11/05/exclusive-cooks-source-writer-marvels-at-the-nerd-rage-keeps-waiting-for-that-apology/), [The New York Times](http://mediadecoder.blogs.nytimes.com/2010/11/04/a-social-media-firestorm-about-apple-pies/){: data-proofer-ignore="true"}, [The Washington Post](http://voices.washingtonpost.com/blog-post/2010/11/cooks_source_magazine_an_onlin.html), [Wired](http://www.wired.com/threatlevel/2010/11/web-decries-infringement/), [Mashable](http://mashable.com/2010/11/06/cooks-source/) and [MSNBC](http://technolog-discuss.nbcnews.com/_news/2010/11/05/5416008-exclusive-cooks-source-kicks-hornets-nest-wronged-writer-responds), faceless internet millions began scouring the Web for proof supporting the accusations that Cooks Source had previously done the same – [160 recipes, pictures, and stories](https://spreadsheets.google.com/ccc?key=0AmTaIPHPnkSedGFhbHo1d1FIR2oxNWJLaDZLeXhEVEE&hl=en#gid=0) so far to be exact. The July 2010 issue alone, for example, had [Chicken Chopped Mediterranean Salad with Feta Vinaigrette](http://www.foodnetwork.com/recipes/chicken-chopped-mediterranean-salad-with-feta-vinaigrette-recipe/index.html), [Blackberry Lemonade](http://www.foodnetwork.com/recipes/blackberry-lemonade-recipe/index.html), [Mixed Berry Soup](http://www.foodnetwork.com/recipes/giada-de-laurentiis/mixed-berry-soup-with-gelato-recipe/index.html), [Fresh Mozzarella BLT with Pesto](http://www.foodnetwork.com/recipes/tyler-florence/fresh-mozzarella-blt-with-pesto-recipe/index.html), [Alton Brown's Best Burger](http://www.foodnetwork.com/recipes/alton-brown/best-burger-ever-recipe/index.html), [Napa Valley Basil-Smoked Burgers](http://www.foodnetwork.com/recipes/napa-valley-basil-smoked-burgers-recipe/index.html), and [Jairs Burgers](http://www.foodnetwork.com/recipes/food-network-challenge/feta-sun-dried-tomato-stuffed-prosciutto-burgers-recipe/index.html), all lifted with limited modification from the Food Network site.[^5]

While it may be true that in a world where CTRL-C and CTRL-V (or Command for Mac users and "[Open Apple](http://en.wikipedia.org/wiki/Command_key)" for really old Mac users) are literally right in front of us, attribution and proper citation may not be at the forefront of content producers (or copiers) minds, the Cooks Source blowback shows unequivocally that the internet takes care of its own.

The unfortunate incident spawned the ever-venerable [meme](http://en.wikipedia.org/wiki/Meme). Cooks Source has become the brunt of every [#ButHonestlyMonica](http://twitter.com/search?q=%23ButHonestlyMonica) joke on Twitter, and they have even joined the exclusive ranks of those with satirical Twitter handles, @CooksSource and @JudithGriggs. Every few minutes yet another heckler chimes in on [the Cooks Source Facebook Page](http://www.facebook.com/pages/Cooks-Source-Magazine/196994196748) and as inevitably is the case, one malcontent even went so far as to produce a YouTube video [comparing Cooks Source to Nazis](http://www.youtube.com/watch?v=YC-tVHLM99w).[^6]

The story, illustrating the true mob-power of the internet, might be even more interesting if it turns out Cooks Source [isn't in the wrong](http://www.copyright.gov/fls/fl122.html) after all or that the emails were actually [made up](http://www.psychologytoday.com/blog/you-20/201011/are-cooks-source-magazine-and-judith-griggs-innocent). So what if Cooks Source has [lost advertisers](http://www.masslive.com/news/index.ssf/2010/11/sunderland-based_magazine_cook.html) and so what if Cooks Source Editor Judith Griggs name has been [forever digi-tarnished](http://www.google.com/search?q=Judith+Griggs+Cooks+Source). The important thing is that internet justice has been served.[^7] It is all too easy to forget that despite its incredible power to democratize and decentralize knowledge, the Web, at it's 3:00 am core, is an echo chamber in which rumors reverberate louder than they would in even the most gossip-centric high school cafeteria — and the worst part is, here, the AV club kids are the bullies. So foodies, aspiring journalists, and internet memesters, copy judiciously, cite liberally,[^8] and [hire a good lawyer](https://ben.balter.com/contact/).

<!--lint ignore no-emphasis-as-heading-->

*Ed. Note: Journalism students, please make sure to pay attention in your media law class. Miss one lecture and this is what happens. On second thought, don't go. The legal economy [is](http://online.wsj.com/article/SB10001424052748704866204575224350917718446.html) [bad](http://www.washingtonpost.com/wp-dyn/content/article/2010/10/30/AR2010103004638.html?nav=hcmoduletmv) [enough](http://www.nytimes.com/2009/08/26/business/26lawyers.html?_r=1){: data-proofer-ignore="true"} as it is — we need all the lawsuits we can get.*

**Update (11/11):** Final score: internet, 1, Cooks Source, 0. It appears the internet has beaten Cooks Source into submission. Cooks Source has sworn to never "be on Facebook again," canceling its Facebook account and [taking down its site](http://www.cookssource.com/), after hackers gained access.[^9] Ironically, Cooks Source claims that their intellectual property rights were violated when [copies of their most-recent issue](http://www.facebook.com/album.php?aid=23582&id=159072764128073) were posted online.[^10] They have made the donation Gaudio requested to the Columbia School of Journalism, as well as a contribution to a local food bank, also in her name [^11]. Moral of the story? Whatever you do, don't post statements in Comic Sans.

\[Photo used under Creative Commons License courtesy [@belochkavita](http://www.flickr.com/photos/belochkavita/244921874/)

[^1]: *See generally [TechCrunch: If it's on the internet, It Must Be True.](http://techcrunch.com/2010/08/14/internet-must-be-true/)*

[^2]: 17 USC § 102 (allowing for communication of works "with the aid of a machine or device").

[^3]: *Feist Publications, Inc. vs. Rural Telephone Service Co.*, 499 U.S. 340 (1991) (establishing a three-part test for copyright protection).

[^4]: [*Copyright Basics*](http://www.copyright.gov/circs/circ01.pdf). U.S. Copyright Office (July 2008) (noting that for works created after the 1988 ratification of the [Berne Convention](http://en.wikipedia.org/wiki/Berne_Convention_for_the_Protection_of_Literary_and_Artistic_Works), copyright is assumed, thus neither notice nor registration is required to invoke protections).

[^5]: Edward Champion, [The Cooks Source Scandal: How a Magazine Profits on Theft][7].

[^6]: *See generally* [Goodwin's Law](http://en.wikipedia.org/wiki/Godwin's_law).

[^7]: internet Justice (*n.*) – a form of justice only slightly less barbaric than the [Thunderdome](http://www.youtube.com/watch?v=3hQC3nkftrk).

[^8]: *See generally supra notes* 1–7.

[^11]: *Id.*

[^10]: *Id.*

[^9]: Cooks Source site (*Last accessed:* November 11, 2010).
