---
title: Free Trade in China? Just Google it.
description: As the internet is increasingly becoming the dominant instrument of commerce, blocking access to information is tantamount to blocking access to trade, as Google argues in their recently released white paper calling out China, among others for violating WTO commitments.
---

In 593 A.D., the first printing press quietly spun into operation in China. Exactly 120 years later, the first paper, *Kaiyuan Za Bao*, began production in Beijing. [^1] In 2010, however, China's information landscape is best characterized not by innovation, but rather by tightly controlled government restriction, and no American corporation is more acutely aware of this austere reality than internet giant Google. The company [recently released](http://googlepublicpolicy.blogspot.com/2010/11/promoting-free-trade-for-internet.html) a [white paper](http://www.google.com/googleblogs/pdfs/trade_free_flow_of_information.pdf) calling out China, among others for violating WTO commitments and urged law makers to break down barriers to free trade and global e-commerce.

![Photo of the Great Wall of China](https://ben.balter.com/wp-content/uploads/2010/11/1194563275_664d6b15e2_b.jpg "Great Wall of China"){: .img-fluid .mx-auto .d-block }

The argument is simple: As the internet is increasingly becoming the dominant instrument of industry, blocking access to information is tantamount to blocking access to trade.

The white paper elaborates:

> The tremendous spread of the Internet – faster than the spread of any previous technology – has also created new, rapidly expanding markets. Online traffic has increased at a compound annual growth rate of 66 percent over the past five years. [^2] Today more than one-quarter of the world's population (1.7 billion people) uses this technology to communicate, inform, create, and buy and sell across borders. [^3] These 1.7 billion Internet users are a massive new consumer base for both Internet services like email and the hard goods and services that are increasingly advertised, marketed, or sold online…
>
> Annual internet-based commerce worldwide is expected to soon reach $1 trillion. [^4]In the United States alone, online retail sales were over $132 billion in 2008. [^5] Globally, Internet and telecom services contributed 3.3 percent of GDP in 2004, compared with 1.8 percent in 1990, with virtually every single economy enjoying growth in the sector. [^6]

The commercialization of the internet and subsequent clash with government restriction is nothing new. US-based information technology companies have been doing business in China with relative success for quite some time. Yahoo!, Inc. was the first to enter the fray in 1998, launching a Chinese-language version of its popular search engine to compete with China's domestic internet content providers, and not long after, Microsoft and Google followed suit. [^7] However, in 2000, China's Ministry of Public Service began the Golden Shield Project with the goal of "adopt\[ing]… advanced information and communication technology to strengthen central police control, responsiveness, and crime combating capacity to improve the efficiency and effectiveness of police work. [^8]"

A prime example of such restriction came in Fall 2002, as Google employees were booting up their Mountain View, California computers to angry emails informing them that the search engine was entirely unavailable to Chinese citizens. [^9] Even when users could access Google.com, the site was slow, often cases, inoperably so when compared to Google's censored competitors. [^10] As Google's Senior Policy Council, Andrew McLaughlin, noted, "Google.com appears to be down around 10 percent of the time," adding, "even when users can reach it, the site is slow, and sometimes produces results that… stall out the user's browser. [^11]"

So why do we care if a handful of countries do not enjoy unfettered access to American e-commerce? According to the China internet Network Information Center, the Chinese market represents some 123 million internet users. [^12] The internet far surpassed television, newspapers, magazines, and radio as the primary source for information among the Chinese people. [^13] As a result, today, the People's Republic represents the largest emerging internet market in the world. Baidu.com, for example, the Chinese-based search engine, enjoyed only 2.5% of the search market in 2003, but boasted 46% by 2005, while during that same time, Google's market share in China dropped some 30% and continued to fall. [^14]

The implications are clear. The fastest, most powerful commercial vehicle the world has ever seen is unavailable to its largest emerging market. To put it another way, countries that censor internet traffic are blocking the 21st century's busiest trade ports. It would be as if merchant ships in the 1500′s, full of goods from the New World, made their way back to Europe only to be turned away. Even in a post-dot-com-bubble world, with nearly ubiquitous free shipping, cyber Mondays, and an app store for everything from your phone to your toaster, it is not hard to imagine that the internet will soon become the dominant mechanism of international trade, if it has not earned such a title already. Today, one thing is certain: As the domestic e-commerce market reaches saturation, American firms will continue to seek out opportunities abroad despite censorship and restrictions. [^15] Their level of success, however, and the level of access available to users in the countries cited in the white paper, if any, remains to be seen.

Photos courtesy [@stuckincustoms](http://www.flickr.com/photos/stuckincustoms/1194563275/) and [@winterkanal](http://www.flickr.com/photos/winterkanal/4273568581/)

Notes:

[^1]: Gardels, Nathan, *Google vs. Confucius*, 27 New Perspective Quarterly 2 (May 2010), at 2.

[^2]: Fed. Commc'ns Comm'n \[FCC], Connecting America: The National Broadband Plan ch. 4 (2010).

[^3]: Miniwatts, [Internet World Stats](http://www.internetworldstats.com/stats7.htm), *Internet World Users by Language: Top Ten Languages* (chart) (Sept. 30, 2009); Int'l Telecom. Union \[ITU], *The World in 2009: ICT Facts and Figures* 1 (2009). The total number of fixed broadband subscribers reached nearly 500 million by the end of 2009. *ID.* at 5.

[^4]: Brian Hindley & Hosuk Lee-Makiyama, \[*Protectionism Online: internet Censorship and International Trade Law*](<http://ecipe.org/publications/ecipe-working-papers/protectionism-online-internet-censorship-and-international-trade-law>) 3 (ECIPE, Working Paper No. 12/2009).

[^5]: U.S. Census Bureau, *[Estimated Quarterly U.S. Retail Sales (Adjusted): Total and E-commerce (chart)](http://www.census.gov/mrts/www/data/html/09Q1table3.html)* (May 15, 2009).

[^6]: Int'l Telecom. Union \[ITU], [*digital.life: ITU internet Report 2006*](http://www.itu.int/osg/spu/publications/digitalife/docs/digital-life-web.pdf) 73 (2006).

[^7]: Marc D. Nawyn, *Code Red: Responding to the Moral Hazards Facing U.S. Information Technology Companies in China*, 2007 Colum. Bus. L. Rev. 505 (2007).

[^8]: Greg Walton, *China's Golden Shield: Corporations and the Development of Surveillance Technology in the People's Republic of China*, Rights & Democracy, 2001; *See* Jennifer Shyu, *Speak No Evil: Circumventing Chinese Censorship*, 45 San Diego L. Rev. 211, 249 (2008).

[^9]: Testimony of Google, Inc. before the Subcommittee on Asia and the Pacific, and the Subcommittee on Africa, Global Human Rights, and International Operations, Committee on International Relations, 207th Cong. (2006) (statement of Elliot Schrage, Vice President, Global Communications and Public Affairs, Google, Inc.).

[^10]: *Id.*

[^11]: [Google in China](http://googleblog.blogspot.com/2006/01/google-in-china.html), Google Official Blog, January 27, 2006.

[^12]: Lindsay Eastwood, "Don't Be Evil": Google Faces the Chinese internet Market and the Global Online Freedom Act of 2007\*, 9 Minn. J.L. Sci. & Tech. 287, 288 (2008) (citing China internet Network Info. Ctr., 18th Statistical Survey Report on the internet Development in China, 3 (2006).

[^13]: *ID.* at n. 30 (stating "the main channel that obtain information are the internet (82.6%), television (64.5%), papers (57.9%), magazines (18.8%), books (18.7%), radio (14.4%), and other (6.9%)") (internal quotations omitted).

[^14]: *Id.*

[^15]: *E.g.,* Google's decision to enter China, and subsequently censor search results, was primarily based on the premise that it was the lesser of two evils. Google CEO Eric Schmidt commented, "although we weren't wild about the restrictions, it was even worse to not try to serve those users at all," elaborating, "we actually did an evil scale and decided not to serve at all was worse evil." Shyu, *Supra* note 8 at 213 (citing Danny Sullivan, *[Google Created EvilRank Scale To Decide On Chinese Censorship](https://searchenginewatch.com/sew/news/2059734/google-created-evilrank-scale-to-decide-on-chinese-censorship)*, Search Engine Watch, January 30, 2006. Accordingly, Google launched Google.cn under the belief that the "benefits of increased access to information for people in China… outweighed \[the] discomfort… \[of] agreeing to censor some results," ([*A New Approach to China*](http://Googleblog.blogspot.com/2010/01/new-approach-to-china.html), Official Google Blog, January 12, 2010) calling their service "a meaningful – though imperfect – contribution to the overall expansion of… information in China." Press Release, Google, Inc., [*Google to Open Research Center in China*](http://www.Google.com/press/pressrel/rd_china.html) (July 19, 2005).
