---
title: The Internet is Series of Tubes (oh, and Tollgates too)
description: The internet backbone provider Level 3 revealed that in recent negotiations, internet service provider Comcast demanded they pay an additional fee in exchange for Comcast continuing to allow its customers access to Netflix videos, effectively erecting a series of tollbooths on the information superhighway.
---

The internet backbone big tube provider, Level 3, which makes up much of the behind-the-scenes magic that delivers Netflix streaming movies, revealed that in recent negotiations, internet service (smaller tube) provider Comcast [demanded Level 3 pay an additional fee](http://voices.washingtonpost.com/posttech/2010/11/comcast_hit_with_two_net_neutr.html) in exchange for Comcast *continuing* to allow its customers access to Netflix videos, effectively erecting a series of tollgates on the information superhighway.

It's likely no coincidence that Comcast's decision comes just a week after Netflix began offering [streaming-only plans](http://blog.netflix.com/2010/11/new-plan-for-watching-instantly-plus.html) (hinting at the firm's broader push toward streaming video in the near future) and Level 3′s subsequent announcement of a partnership with Netflix to be its [primary carrier of streaming video](http://www.wired.com/epicenter/2010/11/comcast-tollbooth/).

In Comcast's defense, their move makes *some* sense from a business standpoint. After all, during peak hours, just 2% of Netflix users (via Level 3) account for [20% of all bandwidth used](http://www.slate.com/id/2273314/) in North America. In Comcast's own words:

> \[W]hen one provider… push\[es] the burden of massive traffic growth onto the other provider and its customers, we believe this is not fair.

The problem with the "it's the customer's fault for using our service" argument, the [same argument used by AT&T](http://www.nytimes.com/2009/09/03/technology/companies/03att.html?_r=1){: data-proofer-ignore="true"} not too long ago, is that, if they haven't already, service providers need to realize the internet is here to stay. We as consumers like browsing the net. We like images. We like YouTube videos. We like interactive content. We like streaming stuff, and tomorrow we may like holograms or virtual reality or whatever the next cool, shiny thing is. Consumers simply can't get enough rich, bandwidth-intensive content, and if you're an internet service provider, you can't complain when your customers use your service to do just that.

True, this may simply be [another petty dispute](http://www.wired.com/threatlevel/2008/03/isp-quarrel-par/) between service providers as [Comcast claims](http://twitter.com/#!/ceciliakang/statuses/9730130310078464), but the bigger problem with Comcast's decision, however, is that Comcast is not simply a *service* provider (tubes), but with the [impending NBC merger](http://mediadecoder.blogs.nytimes.com/2010/11/29/netflix-partner-says-comcast-toll-threatens-online-video-delivery/){: data-proofer-ignore="true"}, also a *content* provider (the stuff in those tubes). This decision marks this first practical case where a service provider is actually taking steps to single out and discriminate against their competitor's content. As Level 3′s Chief Legal Officer [put it](http://morse.colorado.edu/~epperson/courses/routing-protocols/handouts/level3-statement-20101129.pdf):

> Comcast is putting up a tollbooth at the borders of its broadband internet-access network, enabling it to unilaterally decide how much to charge for content which competes with its own cable TV and Xfinity-delivered content.

The Level-3/Comcast arrangement spells bleak hope for any future in which the internet's information democratization ethos continues – perhaps a commercialized future [not too dissimilar from today's tiered broadcast/cable TV system](http://io9.com/5610328/how-the-googleverizon-proposal-could-kill-the-internet-in-5-years) — and a future unequivocally bad for consumers, regardless of what the FCC may or may not decide [later this month](http://voices.washingtonpost.com/posttech/2010/11/lawmakers_push_fcc_to_vote_on.html).

Consider this: as Comcast's customers increasingly [look to their computers for video content](http://lifehacker.com/5667680/ditching-cable-for-the-web-how-much-can-you-save-buying-renting-or-streaming-tv) rather than their cable box, Comcast can either squeeze that lost revenue out of its customers by bringing an [end to all-you-can-eat internet](http://www.businessinsider.com/comcast-internet-access-2010-11), in which case we'll see an increase in our cable bill, or they can make up that lost revenue on the other end, by charging contest providers (like Level 3) a surcharge, forcing those services to offset their increased overhead by passing along the cost in the form of monthly fees, in which case we'll see it on our Netflix/iTunes/Facebook bill instead. Either way, the decision forecasts an inevitable flow of money from our pockets to Comcast's.

Any time the nation's [largest](http://www.comcast.com/About/PressRelease/PressReleaseDetail.ashx?PRID=887) anything makes a "take it or leave it" offer demanding a fee for an otherwise mutually beneficial relationship like [peering](http://en.wikipedia.org/wiki/Peering), the transaction deserves a certain degree of scrutiny, especially when it creates a catch-22 in that company's favor. Is Comcast *trying* to kill the internet? Probably not. *Will* they? I guess we're going to have to wait and see.

photo: [@gnackgnackgnack](http://www.flickr.com/photos/gnackgnackgnack/3592493739/)
