---
title: Twitter Goes to Bat for WikiLeaks, RTs @FBI's Court Order
description: Twitter fought a court order demanding it turn over information pertaining to several of its users, contesting the attached gag order that prevented the social networking service from informing its users of its compliance with the otherwise lawful request.
---

Regardless of where one's politics may fall on the WikiLeaks prosecution, one thing is becoming abundantly clear as a result: *Twitter is emerging as a champion of users' rights.*

![Screenshot of the court order](https://ben.balter.com/wp-content/uploads/2011/01/order-300x131.jpg "Court Order"){: .float-start .me-3 .border } Federal prosecutors investigating the disclosure of classified state documents [served Twitter with a court order](http://www.nytimes.com/2011/01/09/world/09wiki.html?partner=rss&emc=rss){: data-proofer-ignore="true"} demanding it turn over information pertaining to several of its users. While there is nothing particularly alarming about the order, [^1] the bigger news is that [Twitter fought back](http://techcrunch.com/2011/01/07/twitter-informs-users-of-doj-wikileaks-court-order-didnt-have-to/){: data-proofer-ignore="true"}, contesting the attached gag order that prevented the social networking service from informing its users of its compliance with the otherwise lawful request. [^2]

Twitter's decision, arguably the first of its kind, gave the targets of the order the time and legal cover necessary to pursue their own challenges in court. What is troubling, however, is that presumably other service providers, [such as Google and Facebook](https://www.theguardian.com/media/2011/jan/08/wikileaks-calls-google-facebook-us-subpoenas), could have received similar requests and silently acquiesced to the government's demands.

While many companies, including [Google](http://www.google.com/intl/en/privacy/privacy-policy.html) and [Yahoo](http://info.yahoo.com/privacy/us/yahoo/details.html), have a policy of informing users of such requests when legally permissible, in this case, Twitter's contention of the gag order, and the resulting opportunity to pursue legal action it subsequently afforded its users, was somewhat heroic, at least by internet standards, and is a practice other firms should follow. By no means was Twitter obliged to spend time and money [^3] rocking the boat on what appears to be an undoubtedly troublesome, but otherwise [somewhat routine](http://www.nytimes.com/2011/01/10/business/media/10link.html?ref=wikileaks){: data-proofer-ignore="true"} request, but they did so anyway, and to their users' benefit. Wired put it best when they noted, "Twitter introduced a new feature last month without telling anyone about it… Twitter beta-tested a spine."

A user's protection from government intrusion should not diminish depending on the medium chosen and even more importantly, should not be dependent on the heroics of a caped internet crusader. This holds especially true when the world's top social media firms are seemingly at [opposite ends](https://www.eff.org/deeplinks/2010/04/facebook-further-reduces-control-over-personal-information) of the privacy spectrum. While it may be true that it is simply good business sense [^4] for service providers to [fight to ensure the privacy of its user's data](http://www.wired.com/threatlevel/2010/04/emailprivacy-2/) so that potential customers continue to visit the site and use their service, as any former Google Wave user knows, beta features, regardless of how heroic, are [not services to be relied on](http://news.cnet.com/8301-13860_3-20012698-56.html). For progress to continue to march users into the cloud, the [ambiguities surrounding a user's digital rights](http://www.fletc.gov/training/programs/legal-division/downloads-articles-and-faqs/downloads/other/obtaining_electronic.pdf) must be resolved through [a comprehensive CTRL-F5 of privacy law](http://www.nytimes.com/2011/01/10/technology/10privacy.html?_r=1&hp){: data-proofer-ignore="true"} by [knowledgeable lawmakers](https://ben.balter.com/2011/01/04/the-files-in-the-computer/) before we all [retreat to pen and paper](http://techcrunch.com/2011/01/10/why-im-having-second-thoughts-about-the-wisdom-of-the-cloud/){: data-proofer-ignore="true" } in the interest of privacy.

Notes:

[^1]: As our interactions move increasingly online, [we can hardly be surprised](https://ben.balter.com/2010/10/10/does-every-cloud-have-a-silver-lining/) that law enforcement officers will seek supporting documents from digital rather than physical information stores. *See, e.g.,* [Google search history aiding murder convictions](http://blogs.forbes.com/kashmirhill/2011/01/04/google-m-for-murder-internet-search-history-of-killing-methods-helped-convict-husband-of-homicide/), [Prisoners coordinating riots via Facebook events](http://www.nytimes.com/2011/01/03/us/03prisoners.html){: data-proofer-ignore="true"}.

[^2]: To be sure, the government's request was [far from a demand for specific, targeted information](http://news.cnet.com/8301-31921_3-20027893-281.html), but rather suggested that prosecutors unfamiliar with *what exactly it is kids do these days* were simply casting as wide a net as legally permissible. Beyond misspelling the name of one of its targets, the order, a [2703(d)](http://www.law.cornell.edu/uscode/18/usc_sec_18_00002703----000-.html){: data-proofer-ignore="true" } order, [requested](http://mashable.com/2011/01/08/twitter-subpoenaed-by-u-s-government-for-wikileaks-accounts/) credit card, banking information, and street addresses (information Twitter would obviously not be privy to as a free, web-based service) be delivered via "[CD-ROM][3]". More likely, [the feds were seeking metadata](http://paranoia.dubfire.net/2011/01/thoughts-on-doj-wikileakstwitter-court.html), the non-content data automatically associated with a user whenever they interacts with the service, data such as the date, time, and network address of the computer used to post messages (which could potentially be traced back to an individual or at least a physical location).

[^3]: Some might argue that Twitter should be considered heroic simply for stimulating the demand side of an [otherwise anemic legal economy](http://www.nytimes.com/2011/01/09/business/09law.html){: data-proofer-ignore="true"}.

[^4]: This may only hold true in the short run. As Columbia Law professor Tim Wu points out in his book *The Master Switch*, AT&T's "[secret rooms](https://www.eff.org/nsa/hepting)" illustrate that the service provider often may be compelled to contribute to the government's information gathering infrastructure in hopes of garnering more favorable regulatory treatment.
