---
title: Using WordPress to Craft Your Personal Brand
description: Recording and slides from my brief talk at March's joint WordCampDC and Hacks/Hackers DC MeetUp on leveraging WordPress to craft your personal brand.
---

I gave a brief talk at March's joint [WordPress DC and Hacks/Hackers DC MeetUp](http://www.meetup.com/wordpressdc/events/16178194/) on leveraging WordPress to craft your personal brand. Below are slides and a recording of the livestream.

### I invite you to watch, but in short, the main takeaways were

![Why Brand?](https://ben.balter.com/wp-content/uploads/2011/03/branding-300x224.png "Why Brand?"){: .float-end .ms-3 }

* In the olden days, people used to be scared to put personal information online; they felt the need to be pseudonymous (*see* handles like @SparklePrincess87); life online was distinct from life offline.
* As more of our analog lives became digital, the need for a second identity diminished; we no longer represent ourselves with anonymous screen names, but rather as ourselves.
* Social networking and mobile computing contributed to this shift by interfacing the online and offline worlds. Today's radical transparency (*e.g.,* lifecasters posting pictures of their lunch) shows we have come a full 180.
* We shift from corporate brand associations in the '50s (*e.g.,* "I work for IBM") to personal brands today (*e.g.,* "I'm an independent contractor").
* Today we all have a unique opportunity to plant a flag on our corner of the internet, take control of our online identity, and declare to the world who we are by crafting a thought-out narrative.
* Unlike in the real world where you are the only one in control of what you say, online, content has a life of its own — you must be proactive.
* WordPress makes it dumb simple to tell the world your story.

### My five big steps to launching your brand

1. Grab a domain
2. Define your personal brand
3. Start a blog
4. Socialize your content
5. Upgrade your résumé

### Recording of the livestream

*[Greg Linch](http://www.greglinch.com/) opens by discussing WordPress and Journalism, I begin at 30 minutes 10 seconds*

### For those interested in the plugins mentioned

* [Resume Plugin for WordPress](https://ben.balter.com/2010/09/12/wordpress-resume-plugin/ "WordPress Resume Plugin")
* [Emphasis Plugin for WordPress](https://ben.balter.com/2011/01/11/wordpress-emphasis-plugin/ "WordPress Emphasis Plugin: Highlight and Permalink Text")
* [All in One SEO](http://wordpress.org/extend/plugins/all-in-one-seo-pack/)
* [Google Analytics for WordPress](http://yoast.com/wordpress/google-analytics/)
* [Simple Facebook Connect](http://ottopress.com/wordpress-plugins/simple-facebook-connect/)
* [Simple Twitter Connect](http://ottopress.com/wordpress-plugins/simple-twitter-connect/)
* [Subscribe to Comments](http://wordpress.org/plugins/subscribe-to-comments/)
* [Syntax Highlighter Evolved](http://wordpress.org/plugins/syntaxhighlighter/)

### Additional Resources

* [Rapportive](http://rapportive.com/)
* [How to generate a QR code](http://thenextweb.com/socialmedia/2010/10/13/bit-ly-now-lets-you-add-qr-codes-to-links-in-seconds/)

A special thanks to everyone who was able to come out or follow along on the livestream.

Comments? I'd love to hear your thoughts below.
