---
title: Fair Use, Excerpting, and Copying Content in the Internet Ecosystem
description: The Internet's *laissez-faire* Internet ecosystem of liberal excerpting is often at odds with both traditional media and the law.
---

![Close up of a copier control panel](https://ben.balter.com/wp-content/uploads/2011/04/2146845610_ebd95e5f4e_b-300x200.jpg "Copier"){: .float-start .me-3 }

The internet's *laissez-faire* internet ecosystem of liberal excerpting is often at odds with both [traditional](http://www.washingtonpost.com/wp-dyn/content/article/2009/07/31/AR2009073102476.html) [media](http://www.niemanlab.org/2009/08/gawker-and-the-washington-post-a-case-study-in-fair-use/) and [the law](http://ilt.eff.org/index.php/Copyright:_Fair_Use), but the bigger concerns for aspiring bloggers should be contributing to an ongoing dialog, rather than muddling it.

I was recently asked by an aspiring "content producer," what the "rules" were for copying or excerpting content from other sites. From their questions, it quickly became clear to me, that they were missing the point of having a site altogether. [^1]

Not getting in hot water with the fuzz is important, but it is simply one checkbox among many, relegated to the same category of subdued importance as spelling or grammar. The predominant rule in online publishing should not be fair use or copyright, but rather whether the author is adding value to the blogosphere. True, space on the internet may be relatively cheap, but your reader's time is not.

It seems internet copyright law has become somewhat of a digital [Chupacabra](https://www.youtube.com/watch?v=_yq_0KuXu64) — the subject of endless urban legend and fact-less speculation. Despite [widespread misunderstanding](http://www.llrx.com/features/bloggersbeware.htm), in practice, both the contours of fair use law and the cultural norms of the net lay clear guidelines for bloggers and content producers. Put another way, *the law's the easy part*. Worry about the content and the law will take care of itself.

### The Culture

Much like its roots in academia, the cornerstone of the internet is the ability to contribute to an ongoing dialog by building on the ideas of others. With few exceptions, if your use of another's work does not *add value* to the discussion, you may be fine legally, but practically, you're just wasting space on the internet. Criticism, commentary, and the synthesis of ideas not only enjoy fair use protections, but more importantly, give visitors a reason to read your content, drives traffic to your site, and justifies its existence. Likewise, facts and ideas are usually fair game, as are promotional materials and logos if you are discussing a specific company or product, but the reason for such an exception is not to give bloggers fodder for an easy blog post, but rather the exception is designed as a stimulus package for the marketplace of ideas.

The culture of the internet is not that it's okay to *copy* others, but that it's okay to *criticize* others, and if in doing so you quote or reference their work, that's considered okay. So if you have something to say, where exactly does the law draw the line? [^2]

### Is it copyrighted

If a work is no longer subject to copyright claims (and thus falls in the [public domain](http://www.law.duke.edu/cspd/comics/zoomcomic.html)), the discussion of fair use becomes a moot point. Such a determination does not, strictly speaking turn on the inclusion of the copyright symbol. [^3] Instead, a work is [in the public domain](http://www.unc.edu/~unclng/public-d.htm) if it was created:

* by the federal government, at any time,
* between 1964–1977 without a copyright notice.
* between 1923–1963 with a copyright notice, if the copyright was not renewed,
* between 1923–1963 without a copyright notice, or
* before 1923.

### Is it fair use

Even if a work merits copyright protection, it can still be used in many cases. The concept of *fair use* came about in late 1970′s following the Copyright Act of 1976. [^4] Simply put, the Copyright act states, "purposes such as criticism, comment, news reporting, teaching (including multiple copies for classroom use), scholarship, or research, is not an infringement of copyright." While there is no cut-and-dry rule as to when use infringes on the author's copyright, the determination as to whether a given excerpt constitute fair uses is governed by four-factor [balancing test](http://en.wikipedia.org/wiki/Balancing_test): [^5]

1. the purpose and character of the use, including whether such use is of a commercial nature or is for nonprofit educational purposes;
2. the nature of the copyrighted work;
3. the amount and substantiality of the portion used in relation to the copyrighted work as a whole; and
4. the effect of the use upon the potential market for or value of the copyrighted work.

Some factors that may tip the fair-use scale in an excerpter's favor are whether its use was commercial, [^6] transformative, [^7] or parody, [^8] the amount copied, [^9] and the effect on the market for the original [^10].

In short, so long as you link back to the original source, and contribute something to the idea, you're probably fine legally, but that misses the point. Don't copy and paste an entire post from someplace else, but a few sentences to a few paragraphs are cool *if it's in the context of you making a point*. Just like writing a paper for college, be sure to block quote for paragraphs and use quotation marks for sentences, and cite even if you paraphrase, but it still needs to be about your ideas. The internet may provide users with free email or free information, but it does not provide bloggers with free copy, nor should it.

The law aside, readers want you to digest and put ideas in your own voice. Take a paragraph from one post, a paragraph from another, and build a common thread between them – that's the bigger hurdle. Give readers a reason to come to your site. Give your site a reason to exist, and nine times out of ten, the law will be on your side.

*Photo courtesy [@tallguy](http://www.flickr.com/photos/talllguy/2146845610/)*

[^1]: Questions asked included: If there's no copyright symbol, is it still copyrighted?; If it's posted online, can I just copy it because its it's in the public domain?; Can I use it if I'm not selling it?; and It's okay to use if I credit the original author, right?.

[^2]: It should be noted that [I'm not an attorney](https://ben.balter.com/fine-print/) and my writing should not be substituted for qualified legal advice.

[^3]: This is a common misconception. While once true, under the [Berne Convention](http://en.wikipedia.org/wiki/Berne_Convention_for_the_Protection_of_Literary_and_Artistic_Works) the author of any content published today is assumed to retain copyright claims.

[^4]: Codified into law as [17 U.S.C. § 107](http://www.law.cornell.edu/uscode/17/107.html).

[^5]: [Campbell v. Acuff-Rose Music, Inc.](http://www.law.cornell.edu/supct/html/92-1292.ZS.html), 510 U.S. 569, 577–78 (1994).

[^6]: Harper Row v. Nation Enters., 471 U.S. 539, 562 (1985)

[^7]: *Campbell*, 510 U.S. at 578–79.

[^8]: *ID.* at 580–81

[^9]: Harper Row, Publishers, Inc. v. Nation Enters., 471 U.S. 539, 565 (1985)

[^10]: Sony Corporation of America v. Universal City Studios, Inc., 464 U.S. 417, 433 (1984).
