---
title: What's Your Hosting Company's Average Subpoena Response Time?
description: Your hosting company's willingness (or unwillingness) to comply with Subpoenas may soon be seen as a competitive feature.
---

[![Subpoena](http://farm1.staticflickr.com/157/391427627_62f2a23df4_n.jpg){: .float-end .ms-3}](http://www.flickr.com/photos/timsamoff/391427627/)

Bluehost, the [web hosting service](http://en.wikipedia.org/wiki/Web_hosting_service) which powers more than [1.9 million](http://en.wikipedia.org/wiki/Bluehost) sites globally, making it one of the top 20 largest hosting companies in the world and approximately 2% of the internet's traffic (link removed), recently came under fire for its decision to depart from well-established [internet standards](http://pubcit.typepad.com/clpblog/2010/07/two-new-cases-on-internet-anonymity.html) and reveal the identity of one of its subscribers, over what [later proved](http://www.sltrib.com/sltrib/money/51780456-79/koch-company-judge-federal.html.csp) to be an [unfounded suit](http://pubcit.typepad.com/files/kochindustries.pdf).

From a technical standpoint, Bluehost is one of the good guys. I've hosted sites with them since 2005 and looking back at the past six months, I've enjoyed a 99.79% uptime, with an average response time just under a second. But that's half the equation. Web hosting is not simply a cost-benefit analysis of price to uptime and responsiveness. There's a third factor there: trust.

Why does a hosting company require trust? In December, a [fake news release](http://www.scribd.com/doc/45044630/Koch-Industries-on-Climate-Science) was [published](http://www.nytimes.com/2011/02/14/business/media/14link.html?_r=1){: data-proofer-ignore="true"} on a Bluehost powered site by an anonymous satirical group, stating that after "a recent internal and thorough company review," Koch Industries, an oil processing company, would be "restructuring its support of climate change research and advocacy initiatives."

The problem occurred, however, when Bluehost was over eager to comply with Koch's subpoena demanding the identity of the anonymous poster, arguing, "\[w]e are not in the business of harboring, you know, felons and crooks. We are not about that. This isn't WikiLeaks… \[w]e comply with the law here."

Bluehost knew that the customer wanted to be anonymous (they had opted into Bluehost's domain protection program), however, the law here depends on Bluehost providing their client with knowledge of the subpoena, so that a timely objection can be heard by the issuing judge. In the [words of the site's own counsel](http://pubcit.typepad.com/clpblog/2011/05/federal-court-dismisses-koch-brothers-trademark-suit-over-climate-change-prank.html):

The judge ruled that \[Bluehost's customer,] Youth for Climate Truth had a First Amendment right to issue a satirical press release and site – in which the group impersonated Koch and announced that the company had reversed its position on climate change – in an effort to call attention to Koch's [notorious bankrolling of efforts to deny climate change](http://www.greenpeace.org/usa/en/campaigns/global-warming-and-energy/polluterwatch/koch-industries/).

The U.S. District Court for the District of Utah rejected all of Koch's legal claims, which alleged trademark infringement, unfair competition, cybersquatting, computer hacking and breach of the company website's terms of use. The judge also issued an order barring Koch from using any identifying information it had already obtained about our clients via subpoena.

The problem here arises not from Koch trying to use its legal muscle to silence political satire, but from Bluehost's over willingness to comply with a request to identify the anonymous satirist.

In Bluehost's defense, the suit came at the height of the Wikileaks debacle, a time when the industry's top names were [identifying otherwise anonymous customers](https://ben.balter.com/2011/01/11/twitter-goes-to-bat-for-wikileaks/), but at the same time, as political interactions move increasingly online, our marketplace of ideas relies increasingly on hosting companies and internet services providers to remain good political citizens (not simply corporate ones).

While technology may lend voice to otherwise marginalized political groups, it does not come without risk. In a shared hosting environment like Bluehost, "your" website, is not necessarily "your" site. Will we begin to see subpoena response times along the list of benchmarks and features when evaluating hosting companies? Probably not. But if you are planning on leveraging shared servers — be they Bluehost, Twitter, or YouTube — to blog about anything more than say, [DC Summer Interns](http://dcinterns.blogspot.com/), perhaps you should take a look at your hosting company's legal record before you click submit.
