---
title: 'Groupon and LivingSocial: a Limited-Time Offer'
description: Despite the hype, daily deal sites like Groupon and LivingSocial are not the next wave of e-commerce. Not only are they bad for merchants, their business model simply isn't sustainable as established firms begin to enter the already-crowded market.
---

![Groupon logo on an office door](https://ben.balter.com/wp-content/uploads/2011/06/5554901181_664eac93a6_b-300x200.jpg "Groupon"){: .float-start .me-3 }

Despite the hype, daily deal sites like Groupon and LivingSocial are not the next wave of e-commerce. Not only are they bad for merchants, their business model simply isn't sustainable as established firms begin to enter the already-crowded market.

### Bad for Business

It's hard for small businesses to profit from the deal. Sure, a daily deal will drive additional bodies through the door, but like many promotions, business often lose money on the deal itself, especially once Groupon or LivingSocial's cut is factored in, a cut which can often be as high as 50%. The key, it seems, for small business, is [to be smart](http://news.ycombinator.com/item?id=2654788), either upselling the customer, or convincing them that a second, non-discounted visit is well worth their while — not a simple task for the uninitiated.

Although Groupon's compulsory non-disclosure agreement renders the majority of the evidence anecdotal at best, part of the problem seems to stem from a misalignment between the deal sites' interests and businesses', despite what seems like a standard revenue sharing model. Deals are [scheduled to optimize the deal site's profit](http://techcrunch.com/2011/06/09/groupon-single-worst-decision/), not the merchant's and the unexpected influx of new customers [can prove disastrous](http://gawker.com/5786492/the-groupon-backlash-its-the-business-model-stupid) if not properly managed. For a local business, an injection of constantly-connected 20-somethings can be fatal to the business's online reputation if experience does not live up to the deal site's [well-crafted hipster-sweatshop hype](http://gawker.com/5785317/the-groupon-backlash-is-on).

### Legal Pitfalls

The economics of the situation are only half the threat. Daily deals live in murky legal waters, and the sites often push small business into the deep end, rather than provide the necessary guidance. Basic economies of scale dictate that it would be significantly more efficient for Groupon or LivingSocial to establish a firm policy around the relevant legal issues (*e.g.,* "we do not offer discounts on alcohol in Chicago"), rather than require each small business to incur what most likely amounts to a relatively large expense (not to mention legal risk), effort duplicated across merchants and states.

As Benjamin Edelman and Paul Kominers [argue](http://www.benedelman.org/voucher-consumer-protection/#liability):

> \[T]he legal and regulatory questions… are questions that arise distinctively in the context of discount vouchers: a merchant would never confront such questions were it not for discount vouchers. Having created the transactions giving rise to this regulatory complexity… discount voucher services should be expected to achieve compliance.

Edelman and Kominers [continue](http://www.benedelman.org/voucher-consumer-protection/):

> Voucher services typically seek to cast themselves as mere marketing vendors that are not responsible for the conduct of the corresponding merchants. For example, [Groupon's Terms of Sale](http://www.groupon.com/terms) claim that "The Merchant, not Groupon, is the seller of the Voucher and the goods and services and is solely responsible for redeeming any Voucher you purchase."

…But a voucher service is the merchant of record for the charge to the customer's credit card. As the entity officially responsible for charging the consumer, the voucher service thus faces increased responsibility to see that the consumer receives what was promised.

This, combined with the fact that [Groupon claims the entirety of the purchase price as revenue](http://www.businessinsider.com/teardown-of-the-groupon-merchant-agreement-2011-6) suggests that daily deal sites are the 10,000 lb guerrilla unfairly shifting the legal burden to small businesses. Despite all this, Groupon's largest shareholder simply [recommends](http://blogs.forbes.com/luisakroll/2011/04/04/new-billionaire-eric-lefkofsky-talks-about-groupon-and-tech-investing/) that business not "worry about the noise that the legal system creates."

#### Gift Cards

First is the question of if a daily deal constitutes a [gift card](http://www.ncsl.org/research/financial-services-and-commerce/gift-cards-and-certificates-statutes-and-legis.aspx){: data-proofer-ignore="true"}, a legal issue with which both Groupon and [LivingSocial](http://www.seattlepi.com/local/article/Seattle-class-action-LivingSocial-expiration-1015493.php) are intimately familiar with, defending at least [12 distinct lawsuits](http://www.benedelman.org/voucher-consumer-protection/#expiration). Despite the expiration date listed online, in print, and often sent in reminder e-mails, in some states, customers may be eligible to redeem deals long after they expire, or at least have ground to reclaim their initial investment, often at the merchants' expense.

#### Sales Tax

Second is the question of what the sales tax should be levied at the time the goods or services are actually tendered. As TechCrunch aptly [points out](http://techcrunch.com/2011/06/15/daily-deal-consumer-protection-laws/) there's a great deal of leeway depending on how you crunch the numbers:

What's the correct sales tax on a $51 purchase with a $50 Groupon that someone bought for $25 in a state with a 5% tax rate? The possible answers are 5 cents, 68 cents, $1.30 and $2.55. That's based on a taxable value of $1 (amount paid at point of sale), $13.50 (amount merchant actually gets), $26 (total amount consumer paid) and $51 (total face value of the transaction).

#### Alcohol

Third, daily deals involving alcohol, may [run afoul of the law in certain states](http://www.abc.virginia.gov/licensing/happyhour.html). In Illinois, Groupon's home state, for example, it is illegal to offer alcohol discounts to some patriots and not others. Researchers found [87 deals](http://www.benedelman.org/voucher-consumer-protection/beer-chicago-google-060811.png) in Chicago alone that advertised discounts on beer, and [another 252](http://www.benedelman.org/voucher-consumer-protection/wine-chicago-google-060811.png) that offered discounts on wine.

### What's Next for Groupon

Not much. Assuming Groupon scales back its cut and guides merchants through the industry's legal pitfalls, as Groupon's [recent S-1](http://www.sec.gov/Archives/edgar/data/1490281/000104746911005613/a2203913zs-1.htm) shows, they are still [using the revenue from new deals to pay for previous ones](http://techcrunch.com/2011/06/13/why-groupon-is-poised-for-collapse/), generally repaying merchants over the course of two months. If Google's Offers service gains traction, Groupon could face some serious operating cash flow issues, especially with the competition paying out 80% within four days.

#### Limited Growth

Daily deal sites' most successful contribution to the market are not the deals themselves, but rather the hype ecosystem they generate. Like any viral network, their model is dependent on friends continuously asking friends "oh, have you heard of this cool new thing the kids are doing." With the early adopting Facebook generation arguably tapped, it's only a matter of time before baby boomers become equally saturated.

Sure it's fun to get an email in your inbox with a "super-exclusive" offer, but when everyone's in on it, the artificial scarcity is no longer all that alluring. How many nearly identical offers for half off yoga can one person get before they get tired of misses and simply unsubscribe. Multiply that threat by the increasing number of daily deal sites that are springing up and the problem becomes readily apparent.

#### Data Blindspot

Smart sites are driven by data — personal data — and they use it to fuel growth. Amazon leverages my buying history to make personalized recommendations and I buy more stuff. Facebook maps out my social graph and recommends people I know and I friend more people. Netflix tracks my viewing history, going so far as to put up a [$1 million bounty](http://bits.blogs.nytimes.com/2009/09/21/netflix-awards-1-million-prize-and-starts-a-new-contest/){: data-proofer-ignore="true"} to perfect reading my mind. And daily deal sites know that's their [only shot at staying relevant](http://techcrunch.com/2011/01/11/why-we-invested-in-groupon-the-power-of-data/).

Despite [Groupon's efforts](http://techcrunch.com/2010/12/07/groupon-everywhere-jiwire/), there's just not enough data there. They may have my age, gender, rough location, and one or two data points of buying history, but compare that to the relative dossier that Google and Amazon both have to have on me, it's always going to be a losing fight. Once first mover advantage begins to lose its shimmer, the big boys' synergies will begin to show their [true](http://www.wired.com/epicenter/2011/04/facebook-deals/) [potential](http://thenextweb.com/us/2011/06/02/amazon-enters-the-daily-deals-space-with-amazonlocal/), and daily deal sites like Groupon and LivingSocial will expire as quickly as the deals they peddle.

*Photo courtesy [@wovox](http://www.flickr.com/photos/wovox/5554901181/){: data-proofer-ignore="true"}*
