---
title: Why WordPress
description: WordPress is different. WordPress is about content. WordPress is about simplicity. Out of the box, it's a clean, lean, and mean semantic publishing platform that makes broadcasting your ideas as effortless as possible.
---

WordPress is *[different](http://wordpress.org/about/philosophy/)*. WordPress is about content. WordPress is about simplicity. Out of the box, it's a clean, lean, and mean semantic publishing platform that makes broadcasting your ideas as effortless as possible.

* **Proven** – WordPress powers [nearly a quarter](http://techcrunch.com/2011/08/19/wordpress-now-powers-22-percent-of-new-active-websites-in-the-us/) of new sites today, is the content management system (CMS) of choice for [more than two thirds](http://trends.builtwith.com/cms) of the top million sites making it the most popular on the web, and is trusted by content publishers both large and small including CNN and the NY Times. With more than [50 million sites globally](http://en.wordpress.com/stats/){: data-proofer-ignore="true" } and eight years of proven history, you know you're getting the best software for the job.
* **Ease of use** – At the core of WordPress is a [dumb-simple interface](http://codex.wordpress.org/Administration_Screens) similar to the desktop publishing software you use today. With no coding experience or expert knowledge necessary, the learning curve is [often about as short as typing in your site's URL and logging in](http://codex.wordpress.org/Writing_Posts). In fact, most users are able to pick up the basics without any training at all. Interfaces are polished and easy to use, and are the result of years of refinement. It's the power of a Microsoft Word with the intuitiveness of an iPhone.
* **Built for Publishing**- WordPress makes sharing content and attracting readers to your site a breeze. Whether pushing content to social networks, ensuring that your site is provided in the [optimal format to appear at the top of search results](http://codex.wordpress.org/Search_Engine_Optimization_for_WordPress) the moment you hit publish, or providing visitors the ability to [subscribe to specific content sub-feeds](http://codex.wordpress.org/WordPress_Feeds) in their favorite feed reader (or even via e-mail), WordPress is not simply a website, but rather a content-publishing platform. With a single click, you have a powerful megaphone to broadcast your message to the world
* **Community Support** – WordPress is supported by a [vibrant community of users](http://codex.wordpress.org/Contributing_to_WordPress) who have already solved many of the toughest challenges to sharing information today. The latest version of WordPress has been download [more than five million times](http://wordpress.org/download/counter/) since it was release a month ago, and the prior version was downloaded more than 32 million times. With a library of [more than 20,000 free, open-source plug-ins and themes](http://wordpress.org/extend/) growing each day, and hundreds of core contributors each release cycle, the WordPress community is an ecosystem built around the platform's viability and proven success.

### Content Is King

* **Your Entire Workflow** - Although it may sound a bit counter intuitive for some that saw the letters QWERTY together for the first time on an [IBM Selectric](http://en.wikipedia.org/wiki/IBM_Selectric_typewriter), WordPress can actually take the place of your entire workflow from the initial draft to the time you hit publish – spelling, grammar, collaboration, and review – there's no need for emails back-and-forth or expensive desktop software.
* **Beyond Black and White** - Everything that makes web pages feel rich – pictures, videos, music, documents – can feel right at home in WordPress. With a drag-and-drop [file uploader](http://codex.wordpress.org/Uploading_Files) that uses the latest technology to ensure your file effortlessly makes it to the web page every time, and a [media browser to help you store, organize and find the files](http://codex.wordpress.org/Media_Add_New_Screen) you're looking for, WordPress hosts the files that make your pages pop.
* **Distraction Free Writing** - Between E-Mail, IMs, Texts, Tweets, and Status Updates, we have enough distractions as is today. Your publishing platform should not be one of them. While writing WordPress literally fades away letting you concentrate on your ideas themselves, not how you're getting them out there.
* **Never Lose a Word** - WordPress [automatically saves your work](http://codex.wordpress.org/Revision_Management#Autosaves) as you type so you don't have to worry if your computer crashes or you make a mistake. Want to go back to a previous version? Not a problem. Every time you hit save, [WordPress creates a snapshot](http://codex.wordpress.org/Revision_Management) that you can restore with a single click.
* **Time Travel** - Okay, not really, but it's pretty close. WordPress lets you schedule posts for some time in the future or lets you backdate a post for some time in the past so that you can write when its convenient for you.
* **Publish Anywhere** - The internet's every, so why shouldn't your workflow be? WordPress has [mobile applications](http://wordpress.org/extend/mobile/) for Android, iOS, Blackberry, Nokia, Windows Phone 7, even WebOS. Wherever you are, control of your site is *literally* at your fingertips. Your phone not listed? No fret. You can even [post to your site by email](http://codex.wordpress.org/Post_to_your_blog_using_email).

### A Supercharged V8 Under the Hood

* **The Right Tuxedo for Any Content** – Your content deserves the best. The site should conform to your content, not the other way around. WordPress comes with a [full theme system](http://codex.wordpress.org/Using_Themes) which makes designing everything from the simplest site to the most complicated portal a piece of cake. Have a new design every day. Your ideas should look as good as what they say.
* **Obsessively Organized** - It doesn't matter how much content you have, if your visitors can't find it. WordPress organizes your content by day, by month, by year, by author, by category — any way you can describe it — and dynamically creates browsable archives so things always stay up to date.
* **Killer Search Inside and Out** - WordPress has killer search baked in. Every word you write is fully searchable through a single box at the top of each page and if your users choose to use an external search engine like Google, rest assured, WordPress will present your content in a way that all but ensures it makes it to the top of the results every time.
* **Even the URLs are Beautiful** - Ever go to a site and look up to the URL bar only to see a string of letter and number gobbledygook? WordPress realizes that sites are built for people, not computers. Every URL is [intuitively written for humans](http://codex.wordpress.org/Using_Permalinks) and describes what your content says, not where it sits in a database.
* **Typography Nerds Rejoice** - To do it right, publishing on the web can be a pain without the right tools. Every time you hit publish [WordPress silently typesets each and every letter for seamless web production](http://codex.wordpress.org/How_WordPress_Processes_Post_Content). Where many other CMSs let the details fall by the wayside, WordPress uses the [Texturize](http://ma.tt/2003/04/texturize-finished/) engine to intelligently converts web-unfriendly characters like quotes, apostrophes, ellipses, em and en dashes, multiplication symbols, and ampersands into typographically correct HTML entities.
* **¡Bienvenidos a WordPress!** - WordPress has been translated to more than [60 different languages](http://codex.wordpress.org/WordPress_in_Your_Language), so however you say "publish", you'll be saying it in no time flat.
* **Drag and Drop Administration** - Weren't a computer science major in college? No degree required, promise. Most of what users see from [menus](http://codex.wordpress.org/Appearance_Menus_Screen) to the [dynamic functionality on each page](http://codex.wordpress.org/Appearance_Widgets_Screen) can be fully customized with simple drag-and-drop controls on the backend.
* **Multiple Personalities** - Got a bunch of users? Not a problem. WordPress lets you [define different roles for different users](http://codex.wordpress.org/Roles_and_Capabilities) – just like in real life – and lets you assign privileges accordingly. Users can register themselves (if you want), and can submit content for your review.

### User Tested, Geek Approved

* **Out-of-the-box Power** - WordPress provides extensive functionality right out-of-the-box and often little customization is needed to adapt the software for your unique use. Many other CMSs rely on you to hunt down, install, and configure a long-list of add-ons just to get many of the features WordPress considers core (comments, RSS feeds, revisions, etc.) and relies on developers to undertake significant coding efforts to provide the functionality you need. WordPress does the heavy lifting so you don't have to. Why reinvent the wheel when you already have the best wheel in the world?
* **Open and Transparent** - WordPress is built by a dedicated community of professional developers, academics, and enthusiasts with the source code released to the world to take apart, build upon, and improve. It's hallmark is a rapid development cycle, meaning frequent updates and always up-to-date software, all with no licensing fees or direct costs. And with an extensive international community professional support is always wherever you are.
* **It's Your Data** - Some publishing platforms like to lock you in with proprietary data formats. Not here. WordPress relies on open standards to allow you to take your data with you, and even comes with tools to seamlessly import from many popular sources. It's your data, and you should do what you want with it.
* **It's Your Software** - WordPress is designed to be installed on your own web server, in the cloud, or in a shared hosting account. You have complete control. Unlike commercial software or third-party hosted services, you can be sure of being able to access and modify everything related to your site. You can even install WordPress on your personal computer, or on a corporate intranet.
* **Power One Site or Millions** - WordPress offers multi-site technology. It is the same technology that powers over 20 million sites on [WordPress](http://wordpress.com/){: data-proofer-ignore="true" } and global sites like CNN and the New York Times. Multi-site technology allows users to have full administrative control over their own site, without any security concerns. Each site can have its own look-and-feel (themes), its own functionality (plug-ins), and manage its own users, while at the same time, network-wide policies and security updates can be deployed at the click of a button.

### Your CIO will Love it

* **Your Site is Your Castle** - WordPress has more than eight years of history powering stable, [secure sites](http://codex.wordpress.org/Hardening_WordPress). Vulnerabilities are discovered quickly because of the wide user base and dedicated open-source community, patches are rapidly developed by the dedicated security team, and often released in the span of hours from the time they are reported. WordPress comes with an [integrated core-update system](http://codex.wordpress.org/Updating_WordPress#Automatic_Update), so patches are deployed at the click of a mouse. WordPress [sanitizes all user input](http://codex.wordpress.org/Data_Validation), restricts URL access, has an extensive user permissioning system, and never stores passwords in an undecryptable format. WordPress uses WordPress.com's 20 million users to beta test releases before they come out, so that by the time new versions are released, stakeholders can be confident in their stability.
* **Extensive APIs** - WordPress's core relies on its own [extensive API interface](http://codex.wordpress.org/Plugin_API) (commonly known as [dogfooding](http://en.wikipedia.org/wiki/Eating_your_own_dog_food)) which consequently allows developers to quickly and effectively customize the application to their unique needs. Many aspects of the essential WordPress experience can be overridden or modified by user-generated [hooks and filters](http://codex.wordpress.org/Plugin_API/Action_Reference). These APIs help WordPress integrate seamlessly with existing systems, a necessity in a stove-pipe rich environments.
* **Enterprise Ready** - Any challenge the agency faces, chances are, someone else has already tackled it and provided the code free of charge. WordPress has been adapted to countless enterprise environments, and provides support for Active Directory authentication, user management, work-flow integration, and scheduled backups, among other enterprise-centric features.
* **Interoperability** - Want to connect WordPress to another system? WordPress uses [XML-RPC](http://www.xmlrpc.com/), an open XML standard that allows different systems in different environments to talk to one another. XML-RPC is designed to be as simple as possible, while at the same time allowing for complex tasks to be performed.
* **Maintenance so simple you'll wonder why you did it the other way**- Installing and upgrading WordPress is a piece of cake. WordPress's [famous five minute install](http://codex.wordpress.org/Installing_WordPress#Famous_5-Minute_Install) is the envy of the industry, and with [one click updates](http://codex.wordpress.org/Dashboard_Updates_Screen), you'll know you always be using the best. Try it and you'll wonder why all software isn't this easy.
* **Trust, but Verify** - Not everyone is evil, but keep those who are in check by limiting which HTML tags are kosher on your weblog. The default HTML tags allowed by WordPress are a sane choice to let people use HTML in their comments and posts, without compromising the safety of your data or server.
* **Standards Complaint… and then some** - The WordPress team has gone to great lengths to ensure every bit of WordPress generated code is in full compliance with the standards of the [W3C](http://www.w3.org/). This is important not only for interoperability with today's browser but also for forward compatibility with the tools of the next generation. Your site is a beautiful thing, and you should demand nothing less.
* **More than a Blog… Much, Much More** - Anyone who says WordPress is a mere blogging platform is covering for the fact that they haven't been following the CMS's explosive growth over the past couple years. Saying WordPress is only a blogging platform is like saying BMW is [only a propeller manufacturer](https://en.wikipedia.org/wiki/BMW#Roundel_logo). In fact, the majority of the time, [WordPress isn't even used as a blog](http://max.limpag.com/article/wordpress-open-source-cms-2011/). With built-in support for custom post types and custom taxonomies, if you can dream it, WordPress can make it a reality.
