---
title: Open-Source Alternatives to Proprietary Enterprise Software
description: A list of open-source alternatives to popular proprietary enterprise software solutions
---

I've said in the past, that open-source's lack of adoption in the enterprise space is due, at least in part, to the lack of "[focus-group tested ammunition](https://ben.balter.com/2011/08/31/enterprise-open-source-and-why-better-is-not-enough/)". Today, I hope the community can help even the odds with this collaboratively edited list of open-source alternatives to typical government and enterprise software needs

I was thrilled to come across [this comprehensive list of open-source options for government](https://www.gov.uk/government/uploads/system/uploads/attachment_data/file/78964/Open_Source_Options_v2_0.pdf) last week, part of the UK's [Open Source Procurement Toolkit](https://www.gov.uk/government/publications/open-source-procurement-toolkit), but was disappointed to see, in addition to it being published in most government agencies favorite web publishing format (PDF), it hadn't been updated in more than a year.

With a little find-and-replace magic, I converted the PDF into a stand-alone web page (based on [Twitter's open-source Bootstrap](http://getbootstrap.com/) and [Jekyll](https://github.com/mojombo/jekyll)), cleaned up a few typos, and [published it to GitHub](http://benbalter.github.com/open-source-alternatives/) in hopes that it can be collaboratively edited by the broader open-source community.

Please browse the list, and if you find any additions, corrections, or improvements, [fork the page on GitHub](https://github.com/benbalter/open-source-alternatives) and [submit a pull request](http://help.github.com/send-pull-requests/).

Live Site: **[Open-Source Alternatives to Proprietary Enterprise Software](https://ben.balter.com/open-source-alternatives/)**
