---
title: CFPB Accepts First Citizen-Submitted Code on Behalf of Federal Government
description: The Consumer Financial Protection Bureau (CFPB) accepted the first pull request by a member of the public to a US Federal government agency
---

"Fix typo." Not quite "one small step for man," but a significant first nonetheless. These simple words, typed by an open-source developer operating under the pseudonym "iceeey," may represent the first collaborative effort between the federal government and the broader open-source community, and surely represents a tangible win for the open-government movement as a whole.

The Consumer Financial Protection Bureau (CFPB) is in a unique position. As the youngest federal agency, they have the opportunity to reimagine many day-to-day business processes for an internet era, and to share that innovation across government. One such process is the means by which federal employees apply for and receive subsidies to offset the cost of public transportation to and from work. Having created an application that alleviated the need to shuttle time-consuming, paper-based forms from building to building within their own agency, the Bureau sought to package up the solution, and publicly release the source code for other federal agencies to use and expand upon. The logic was simple: solve the problem once, solve it everywhere.

But the code was not simply made available for government employees to access. The code was placed on [GitHub](http://github.com/) – a popular source code sharing service – for anyone to download and explore, and within days of CFPB publishing its [recently announced Source Code Policy](http://www.consumerfinance.gov/blog/the-cfpbs-source-code-policy-open-and-shared/), someone did just that.GitHub user "iceeey" [submitted a proposed change](https://github.com/cfpb/transit_subsidy/pull/1) – known in developer parlance as "forking the project" and submitting a "pull request" — correcting a misspelling on the form initially presented to new employees ("roundtrip" was accidentally spelled "rountrip").

Admittedly a minor change ("one small step for grammar?"), but notable for the underlying first that it represents: the opportunity to create efficiencies across government by partnering with the broader community of civically engaged developers.

Open-source software (software for which the underlying source code is made publicly available) as a vehicle for a more open and more efficient government is nothing new. Behind the scenes, countless agencies rely on open-source software for various business functions, and many have even chosen to publicly publish the source code underlying the applications that they themselves have built in-house to tackle unique challenges. But this seemingly innocuous missing "d" and its subsequently submitted fix represents the first time a federal agency has directly collaborated with open-source developers to better its own day-to-day tools.

Iceeey has [already submitted his second pull request](https://github.com/cfpb/transit_subsidy/pull/2) ("more typos" he joked with an emoticon smiley), and I hope more agencies and more open-source developers will follow suit. Such collaborations empower agencies to do more with less; put better, more robust tools in the hands of federal employees as they carry out agency mission; and undoubtedly represent a giant-leap forward for a more open and more efficient government.
