---
title: The next big thing is already here
description: Countless technologies we take for granted today, began their lives as staples of the open-source development workflow
published: true
---

Looking for *the next big thing*? Chances are it's already here, and chances are the open source community is using it. If you wanted to know the next trend in medicine, it makes sense to look at how doctors take care of themselves. The same is true for geeks. It's about looking to the early adopters.

Countless technologies we take for granted today, began their lives as staples of the open-source development workflow. Command-line based text editors like [VI](http://en.wikipedia.org/wiki/Vi) — essential to the creation of the first open source projects — quickly gave rise to more evolved word processors like WordPerfect and Microsoft Word. Centralized [version control](http://en.wikipedia.org/wiki/Revision_control), an open-source necessity eventually found itself in the hands of consumers in the form of DropBox, and if the @ reply and #hashtag vernacular of Twitter looks familiar, that's because it first emerged, nearly identically, as developers first collaborated on [IRC](http://en.wikipedia.org/wiki/Internet_Relay_Chat).

Each of these technologies, although they got their start in open source, found their way to market in a radically different, often simplified form. This follows a pattern of innovation developing in one market, before being introduced, disruptively, into another.

So what's next? A lot. For one, we're seeing a pretty substantial shift among open source developers towards distributed version control. For another, we're seeing APIs and robust client-libraries shifting application logic to the edge. Last, many open-source projects are crowd sourcing information collection and curation, especially around geospatial data, to name a few examples, but there's much more out there.

To be sure, not all innovations come from the open source world. Far from it in fact. But as the earliest adopters and arguably those most critical of the tools they use, as a general rule, if the open source community as a whole is backing an effort, there's a good chance it's a winner.

*h/t [Phil Ashlock](http://phil.ashlock.us/) for the inspiration for this post.*
