---
title: The store that sells only one thing.
description: Developers should be experts at solving users' problems, not a particular language or technology
comments: true
published: true
---

Imagine a store. This store sells only one product. Regardless of what you come in for, regardless of what question you ask, their recommendation is always the same: you should buy the only product they sell.

Sadly, this is all-to-often the face of professional services in the technology industry. We have "Drupal shops" and "WordPress shops" and "Rails shops", but no "problem solving shops". Yet, we know that people come to technology consultants with problems, not solutions. Imagine, for example, if Deloitte, or any other of the big four consulting firms for that matter, was a "firing shop". That every time you came to them with a problem, they would always suggest that you fire people. Or maybe they're a "business analytics shop". Doesn't matter. Regardless of what problem you bring them, the solution's always the same: "Do \[the only thing we know]." Hard to imagine they'd stay in business long, huh?

<!-- more -->

But that's exactly what we do in technology. Traditional software engineers define themselves as a "PHP Developer" or a "Rails Developer" or a "Java Developer". The solution defines who they are. The past defines the future. That'd be like an architect that only builds round buildings or a handyman that shows up for a job with only a hammer in his toolbox. No matter what you ask for, [the answer's always going to be the same](http://xkcd.com/801/). "\[That thing I did yesterday]."

But technology problems come in many yet unseen shapes and sizes, and often times the best solution isn't the same one you used on the last problem, or better yet, hasn't even been invented yet. [Hackers](https://ben.balter.com/2013/02/04/what-is-a-hacker/), on the other hand, at least from my experience, often define themselves as a "developer" who *has used* a given language. There's already the possibility there of learning another if the job calls for it. It's a sense of solving the problems at all costs. It's a sense of avoiding self vendor lock-in. It's a passion for technology, not *a technology*.

When a potential customer comes to a technology shop, they're not shopping for mere muscle. They're not hiring unskilled labor. They're shopping for experts. They're shopping for people with a better knowledge of the space than they have. They're shopping for a solution. Sure, a firm can specialize in something, or be known for a given skill. Nordstrom is known for its service. Apple's known for its design, but Nordstrom doesn't just sell blue shirts, Apple doesn't just sell desktop computers, and neither should you.
