---
title: What does your organization optimize for?
description: A quick glance at someone's laptop can tell you a lot about that person and their employer.
---

Every organization is optimized for exactly one thing. In the private sector, it's usually profit. In government, depending on the agency, it's often either predictability or process. At GitHub it's developer happiness. Whatever your organization is optimized for, employees will use that organizational imperative as an implicit North Star whenever the demands of a particular task provides them with significant freedom. You'd be surprised how seemingly identical goals are tackled differently at different organizations.

### The allegory of the laptop sticker

A quick glance at someone's laptop can tell you a lot about their employer. It used to be that as one traveled, their luggage would accumulate [layer-upon-layer of labels](https://www.flickr.com/photos/wavesjax/), each telling the story of where they've been and what they've experienced. Today, that tradition lives on in the world of IT, as geeks decorate their laptop shells with the logos of the conferences they've attended and the technologies they've learned and grown to love. HTML5, jQuery, and WordPress stickers? Likely a frontend developer. Node, GitHub, and Code for America stickers? You've found yourself a civic hacker. A well decorated laptop is often the Boy or Girl Scout merit badges of the software community.

Even more telling, however, is the young developer with the naked laptop, a sight as common as Blackberrys are within government. Often, the indiscrete Thinkpad is adorned with a single, high-visibility, tamper resistant sticker, utilitarian barcode and "ASSET" stamped in bold, imposing letters. Adding insult to injury, there's a strong chance that the label is going to be on the top of the laptop shell, and positioned a literal 180 from the hacker community norm, oriented so that when the laptop's open, the text appears upside down. You couldn't troll a developer harder if you tried.

### A laptop's worth a thousand words

Just glancing at this laptop, there's two reasons we're led to believe the developer's employer optimizes for their own administrative processes, not the employees those very processes should serve:

First, assuming the laptop's inventoried once or twice a year at most, placing the sticker on the bottom of the laptop, out of sight from day-to-day use, or at the very least, right side up when open, does nothing to inhibit the employer's ability to track their investment or subsequently identify it if discovered missing. But given the choice of where to place the sticker, at some point, someone in the IT department chose "lets make it easier to inventory" over "lets make it enjoyable to use".

Second, the fact that employees are prohibited (or assume they are prohibited by organizational culture) from placing industry sticker on their laptop says a lot about the organization's priories, here, prioritizing potential risk mitigation over providing technical talent the space and freedom they need to be creative. Would adding other stickers diminish its utility? Are stickers so destructive that they'd lessen the value of the asset when it's returned? Will someone perceive them as an enforcement? Again, given this ambiguity, someone thought the organization would prefer they optimize for the sticker, not the human.

### The tip of the iceberg

Laptop stickers are a superficial example, to be sure, but they hint at an organizational ethos antithetical to the type of workplace most information workers would thrive in, or at the very least, not optimized for it. If the organization adopts such a utilitarian approach to something as trivial as stickers, what do you think that company's deployment process looks like? How do developers gain access to development environments? How much friction will there be if I want to test out a new technology?

Whether laptops, workplaces, or organizational policy, the experience should be optimized for the people they involve, not for the bureaucratic process that supports them. Laptop stickers or not, it begs the question: what does your organization optimize for?
