---
title: How to derail any meeting
description: How a WWII field manual can help modern knowledge workers identify those inadvertently sabotaging your organization today.
---

A few weeks ago, the Office of Strategic Services "[Simple Sabotage Field Manual](https://www.gutenberg.org/ebooks/26184){: data-proofer-ignore="true" }" made its way around the internets. The book, published in 1944 by the predecessor to the CIA had headings like "Encouraging Destructiveness", but it was the section on "General Interference with Organizations and Production" that caught my eye, not because I intend to sabotage any organization in the near future, but because I see so many modern knowledge workers unintentionally doing to their own organization exactly what the OSS playbook described doing to adversaries some 70 years ago. Here are a few of my favorite[^1] from the list:

> * **Insist on doing everything through "channels."** Never permit short-cuts to be taken in order to expedite decisions.
> * **Haggle over precise wordings** of communications, minutes, resolutions.
> * **Refer back to matters decided upon at the last meeting** and attempt to re-open the question of the advisability of that decision.
> * **Advocate "caution."** Be "reasonable" and urge your fellow-conferees to be "reasonable" and avoid haste which might result in embarrassments or difficulties later on.
> * **Be worried about the propriety of any decision** — raise the question of whether such action as is contemplated lies within the jurisdiction of the group or whether it might conflict with the policy of some higher echelon.
> * When possible, **refer all matters to committees**, for "further study and consideration." Attempt to make the committees as large as possible — never less than five.
> * Make "speeches." **Talk as frequently as possible and at great length.** Illustrate your "points" by long anecdotes and accounts of personal experiences.
> * **Bring up irrelevant issues** as frequently as possible.
> * In making work assignments, **always sign out the unimportant jobs first**.
> * **Insist on perfect work** in relatively unimportant products.

Any of those tactics sound familiar? Any of those that you haven't experienced in a meeting at least once? Experienced this week? While I doubt your coworkers are actually double agents for the now-defunct OSS, there's something to be said for the fact that the behaviors that were once used as means of espionage, are now all-too-common anti-patterns in day-to-day corporate America.

That got me thinking: *what additional anti-patterns would the OSS add to that list if they were writing that field manual for modern times?* The common thread, as I saw it, was to *maximize meta-discussion* — the discussion about having the discussion you need to have before you can do the work you actually set out to do.

With that in mind, here's how I'd update the *Simple Sabotage Field Manual* for today's workplace:

* If you've called the meeting, **don't take audio-visual needs into account** until after the meeting's scheduled to start. Don't include call in information in the meeting invitation. Spend the first ten minutes of the meeting working through any presentation and teleconferencing needs.
* **Assume the meeting will start 3–5 minutes late**, and show up accordingly. Once settled, be sure to bring up issues that were already decided in your absence.
* **Insist on introductions**, go around the table providing each attendee with the opportunity to describe their role and how it relates to the meeting. This is especially true as latecomers enter the meeting, providing additional opportunities to interrupt the discussion.
* If on a conference call, **enable join notifications** so that discussions are automatically interrupted any time someone joins or leaves. Even better, when someone does join, be sure to pause the conversation to ask "who just joined?".
* **Don't do any work outside the meeting**. Use the meeting as a forcing function. Meetings are when your team does work. Even better, if you've called the meeting, don't send any materials in advance, or if you're an attendee, restate issues addressed in preparatory materials (which you didn't read).
* Insist that the group **table the discussion to take a step back** and define with specificity *what you're solving for*, *the scope of the project*, and *the particular meeting's goals*. Assert that the group won't be able to reach a consensus until those questions have been answered.
* If the discussion begins to gain momentum, ask **open ended, process-based questions** like *what does success look like?*, *what's our success metric?*, or *how do we measure our success metric?*.
* Whenever you sense a decision nearing, insist that the group **forego decision making** until stakeholders not originally invited to the meeting can have the opportunity to weigh in.

*That's what I'd add to the list if I were giving it a refresh for 2016. What would you add? What corporate anti-patterns have you seen in your own organization? Do you have reason to suspect any of your colleagues are inadvertent saboteurs?*

[^1]: Emphasis *mine*.
