---
title: Three easy ways to show employees they're appreciated
description: Celebrating everyday occurrences show others that you appreciate them as individuals and makes your workplace a better place to work
---

As a manager (or a coworker) one small thing you can do to make wherever it is that you work a better place to work is to notice and celebrate everyday occurrences, to show those you work with that you appreciate them not just for what they do, but also for who they are. This is true even if all you know is the information on a standard HR form. Here's three easy ways to show that you appreciate the humans you work with:

### Birthdays

*What*: Most humans have birthdays. Some humans don't care much for candles, singing, or mass attention, but many humans would at least appreciate a quick "Happy Birthday! I hope you have something fun planned this weekend." DM or email. Even better, throw in some emoji or an animated GIF for good measure.

*Why*: This is especially true if you're remote. While onsite culture provides not-so-subtle queues like flower deliveries and stumble-upon opportunities like cake in the break room or communal drinks after work, when you're remote, you don't have such luxuries and it's even more important that you go out of your way to recognize your coworkers' birthdays.

*How*: If you're Facebook friends with your coworkers, you can add a webcal feed of your friends' birthdays to your calendar, and many HR systems let you do the same. At the very least, you can ask for their birth month and day with minimal awkwardness and add it to your calendar as a reoccurring event.

### Work anniversaries

*What*: Another easy way to show that you appreciate your fellow humans is to recognize their work anniversary. At GitHub, we call these Hubberversaries. When you hit your one, two, five, or ten year work milestone, that's something to be celebrated, even if within many organizations it rarely is. There's a good chance your report would be flattered by a quick note letting them know why you're glad they're there or reflecting on all the great contributions they've made in the past year.

*Why*: This is especially true if you're at a younger company. When you've clocked three years at a five year startup, given stereotypical exponential growth, it's almost guaranteed that you've been at the company significantly longer than most of your coworkers. Heck, even if you're at a century-old blue chip company, there's a good chance they've been marking work anniversaries with gold watches for decades.

*How:* If you're connected with your coworker on LinkedIn (yeah, I know), the service will send you push notifications for your connections work milestones, but I don't recommend it. The easier route is to check internal social tools (at GitHub we have a blog-like platform called Team), or external announcements (for years we announced every new hire via the public blog).

### Major lifecycle events (e.g., moving)

*What*: The final easy way to show your fellow humans that you appreciate them as bona fide human beings is to recognize major lifecycle events. This can be anything as small as taking on a new hobby, or as big as shipping a human, a house, or a husband/wife. Are they going out to celebrate? Would their friend get them something to acknowledge it? Chances are you should too.

*Why*: This is especially true if your company's distributed. If everyone's onsite, it's easy to bump into someone at the water cooler, see their wedding ring, ask how their weekend was, and learn not only that they have a son, but that he's into tee-ball (and won on Saturday). When there's no water cooler to congregate around and no desk to walk by and see family photos, that interaction becomes significantly harder and requires a purposeful step on your part to ensure it happens.

*How*: As a manager, this may be your report asking about how to update their address with HR because they just bought their first house, or about health insurance or time off because they're getting married. As a peer, this may be as simple as canceling a weekly meeting because they're taking their daughter to visit schools. Whatever it is, a small something (a candle, a book, heck, even company-branded baby swag) will go a long way to show you care.

Some caveats here: First, this list is far from exhaustive. For example, if someone went out of their way to help you get a project out the door, consider sending them a box, bag, or bottle of their favorite warm or cold beverage to show you noticed what they did and appreciate it. Second, be careful when giving even token gifts to superiors, as you may run astray of rules, both written and unspoken.

Obviously no amount of birthday GIFs or housewarming presents can substitute for genuinely being interested in a person's well being and putting the time in to cultivate a relationship built on mutual trust and respect, but when the logistics of how you work day-to-day makes it challenging to show those you work with that you care beyond witty chat reactions, small gestures that celebrate everyday occurrences can go a long way to making your workplace a friendlier place to work.
