---
title: 'A community of communities: Empowering maintainers to grow communities around their code'
description: In this talk from OSCON 2019, I walk through GitHub’s approach to empowering maintainers to grow a federation of semi-independent, safe, and welcoming open source communities that can scale along side the code.
image: https://user-images.githubusercontent.com/282759/63184636-c69cd280-c025-11e9-9f2b-12f0f48be965.png
---

Open source is about much more than publishing code. It’s about building communities around shared problems, communities no different than the offline communities we participate in each day. Yet, it can still be a challenge for maintainers of projects, both large and small, to grow safe and welcoming communities around their code.

GitHub’s Community and Safety team is like many other services’ Trust and Safety teams in that we are tasked with ensuring that users aren’t required to risk their privacy or personal safety in order to participate in the community on GitHub. Beyond discouraging disruptive behavior in the form of spam, abuse, or harassment, the Community and Safety team also goes beyond that and instead, actively seeks to encourage good online citizenship by both making it easier for users to contribute constructively and for maintainers to adopt community management best practices.

<div class="row">
    <div class="col-md-6 pb-2">
        <iframe src="https://www.youtube.com/embed/MNQiPeAGzQo" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen class="w-100 h-100"></iframe>
    </div>
    <div class="col-md-6">
       <script async class="speakerdeck-embed" data-id="1a258e656b8f4749a71b4e5cc856a112" data-ratio="1.77777777777778" src="//speakerdeck.com/assets/embed.js"></script>
    </div>
</div>

<div class="row">
    <div class="col-md-6 text-center mb-2">
        <a href="https://www.youtube.com/watch?v=MNQiPeAGzQo">View on YouTube</a>
    </div>
    <div class="col-md-6 text-center mb-2">
        <a href="https://speakerdeck.com/benbalter/a-community-of-communities-empowering-maintainers-to-grow-communities-around-their-code">View on Speakerdeck</a>
    </div>
</div>

In [this talk from O'Reilly's 2019 Open Source Software Conference (OSCON)](https://conferences.oreilly.com/oscon/oscon-or/public/schedule/detail/76027), I walkthrough GitHub’s approach to empowering maintainers to grow a federation of semi-independent, safe, and welcoming open source communities that can scale along side the code, as well as what tools and resources are available today and in the future, looking at how various community management approaches encourage or discourage community growth and participation.
