---
title: The top 10 posts of the past 10 years
description: Today marks ten years since my first post. Here's a look at my most viewed posts over the past ten years.
posts:
  Why everything should have a URL: /2015/11/12/why-urls/
  Why open source: /2015/11/23/why-open-source/
  'Word versus Markdown: more than mere semantics': /2014/03/31/word-versus-markdown-more-than-mere-semantics/
  Everything a government attorney needs to know about open source software licensing: /2014/10/08/open-source-licensing-for-government-attorneys/
  The six types of pull requests you see on GitHub: /2015/12/08/types-of-pull-requests/
  Copyright notices for open source projects: /2015/06/03/copyright-notices-for-websites-and-open-source-projects/
  Why you probably shouldn’t add a CLA to your open source project: /2018/01/02/why-you-probably-shouldnt-add-a-cla-to-your-open-source-project/
  Problems, not solutions: /2018/07/16/problems-not-solutions/
  Diff (and collaborate on) Microsoft Word documents using GitHub: /2015/02/06/word-diff/
  15 rules for communicating at GitHub: /2014/11/06/rules-of-communicating-at-github/
---

Today marks exactly ten years since [my first blog post](https://ben.balter.com/2010/09/12/wordpress-resume-plugin/). The year was 2010 and the job market was tough. I was looking for a way to get my foot in the door of the legal industry. I had the vanity domain, but with my résumé as the sole page, my SEO was abysmal and traffic was in the single digits. I started blogging keyword-rich (non-insightful) posts at the intersection of law and technology because for some reason I thought prospective employers Googled "DC legal intern with interest in technology", clicked the first result, and that's how they hired summer interns for highly competitive spots. I even took out Google ads at one point (they worked, although not the way I intended).

[A lot has changed](https://web.archive.org/web/20101123210454/http://ben.balter.com/), since "Benjamin J. Balter", self-described "J.D./M.B.A. Candidate, New Media Fanatic, [and] Documentary Junkie", launched the very site that you're reading today. The word cloud is gone for one, as is the blogroll, and I'd like to hope that the content has become *slightly* more insightful. Over the intervening years, as my professional career has led me down this winding path, I've written about intellectual property law, open source, government IT and procurement, collaborative workflows, product management, trust and safety, and soon information security.

A heartfelt and humbling thank you to the [nearly 100 wonderful humans](https://github.com/benbalter/benbalter.github.com/graphs/contributors) who have contributed to the site over the years, and the countless more who contributed ideas and insights through thought provoking conversations IRL. In honor of the milestone, and in true listicle form, I wanted to take a moment to reflect on my top ten most viewed posts over the past ten years:

<ol reversed="">
{% for post in page.posts %}
<li markdown="1">
[{{ post[0] }}]({{ post[1] | absolute_url }})
</li>
{% endfor %}
</ol>

Thanks for reading, sharing, and contributing to the conversation. Here's to the next ten years of rants and rambles! :tada:
