---
title: What to read before starting (or interviewing) at GitHub
description: If you're starting (or preparing for an interview) at GitHub, here are a number posts to help you understand how GitHub works and what it's like to be a GitHubber.
---

Over the years I've written a number of posts about GitHub's culture and communication patterns. If you're joining (or preparing for an interview at) GitHub, here are some of my favorite posts that might help you understand how GitHub works and what it's like to be a GitHubber:

* **[15 rules for communicating at GitHub]({{ "/2014/11/06/rules-of-communicating-at-github/" | absolute_url }})** (2014) - Asynchronous communication through high-fidelity mediums like issues and chat eliminate the endemic "you had to be there" aspect of most corporate workflows and reduces the need for a dedicated management function to capture, collect, and shuttle information back and forth between business units.
* **[The seven habits of highly effective GitHubbers]({{ "/2016/09/13/seven-habits-of-highly-effective-githubbers/" | absolute_url }})** (2016) - GitHub has a unique work culture. Here are seven traits that I’ve observed in successful GitHubbers over the years that I think make GitHubbers more effective. 
* **[Eight things I wish I knew my first week at GitHub]({{ "/2016/10/31/eight-things-i-wish-i-knew-my-first-week-at-github/" | absolute_url }})** (2016) - A short list of tips and tricks I offer to new employees when they join GitHub.
* **[Why everything should have a URL]({{ "/2015/11/12/why-urls/" | absolute_url }})** (2015) - By naturally capturing and exposing process, URLs render organizational context time and location agnostic allowing knowledge to move more freely within an organization.
* **[Tools of the trade: How I communicate at GitHub (and why)]({{ "/2020/08/14/tools-of-the-trade/" | absolute_url }})** (2020) - How I work and how I think about the tools we use to communicate at GitHub.
* **[How I manage GitHub notifications]({{ "/2020/08/25/how-i-manage-github-notifications/" | absolute_url }})** (2020) - My philosophy, workflow, settings, and tools for how I manage the never-ending stream of notifications on GitHub.
* **[The six types of pull requests you see on GitHub]({{ "/2015/12/08/types-of-pull-requests/" | absolute_url }})** (2015) - Whether collaborating on code, data, or prose text, there are lots of different strategies for using pull requests on GitHub.

And if you're a Product Manager or Technical Program Manager:

* **[Twelve things a product manager does]({{ "/2016/06/06/twelve-things-a-product-manager-does/" | absolute_url }})** (2016) - What a Product Manager’s typical day looks like at GitHub, at least if there is such a thing.
* **[Nine things a (technical) program manager does]({{ "/2021/03/26/nine-things-a-technical-program-manager-does/" | absolute_url }})** (2021) - What a Technical Program Manger does day-to-day at GitHub and how they uniquely bring value to a team and to the organization as a whole.

Of course, these opinions are [my own](https://ben.balter.com/fine-print/), and please take the publication date in mind when reading. GitHub (and I) have changed a lot since 2013, and as organizations grow and mature, cultures and communication patterns naturally evolve. If you have any questions, feel free to reach out on Slack, Twitter, or the comments below.
