---
employer: GitHub
title: Government Evangelist
start_date: '2013-03-01'
end_date: '2016-02-01'
---

###### Open source outreach

* Lead the [outreach efforts](https://government.github.com/) of the world's largest software development network to encourage adoption of open source, open data, and open government philosophies across nearly 2,000 government organizations in over 75 countries, which resulted in an 8x increase in the number of government users on GitHub, a 9x increase in the number of government organizations on GitHub, and a 10x increase in the amount of revenue derived from government customers
* Named one of the [top 25 most influential people in government and technology](http://fedscoop.com/top-federal-it-and-tech-folks-under-40/), FedScoop's Fed50 [Disruptor of the Year](http://fedscoop.com/fedscoop-50-celebrating-2014s-leaders-federal/), and winner of the Open Source People's Choice Award.
* Lead company-wide editorial and blogging efforts including blog post review, documentation, editorial calendar creation, and tooling.
* Architected team-wide outreach strategy, analytics pipeline, and tooling to target and quantify organization's outreach efforts.

###### Product management

* Lead [a bottom-up rewrite of GitHub Pages](https://github.com/blog/1992-eight-lessons-learned-hacking-on-github-pages-for-six-months), GitHub's documentation and static-site hosting service that hosts more than a million sites and serves more than a quarter of a million pages every minute.
* Developed and integrated [GeoJSON rendering and diffing](https://github.com/blog/1541-geojson-rendering-improvements) into GitHub.com and GitHub Enterprise, empowering government agencies and civic hackers to publish more than half a million geospatial data sets.
* Launched and maintained [choosealicense.com](http://choosealicense.com), a site dedicated to demystifying open source licensing for developers.
* Developed and launched [license detection API](https://github.com/blog/1964-open-source-license-usage-on-github-com) for detecting and verifying open source licenses across all GitHub-hosted projects.

###### Contracting and compliance

* Secured GitHub's first government reseller, resulting in [listing on GSA IT Schedule 70](https://www.gsaadvantage.gov/advantage/catalog/product_detail.do?gsin=11000048085068), the largest, most widely used acquisition vehicle in the US federal government.
* Lead efforts to make GitHub Enterprise [available to customers in AWS GovCloud](https://enterprise.github.com/aws/gov-cloud), GitHub's initial availability in a federally compliant (FedRAMP) cloud-hosting environment.
* Regularly drafted, reviewed, and negotiated government contracts and terms of service.
* Created and implemented US export control (ITAR and EAR) compliance policies, secured Export Control Classification Number (ECCN) from Department of Commerce, and implemented policy for customers' OFAC compliance.
