---
title: About
description: Ben Balter is an attorney, an open source developer, and a Senior Technical Program Manager at GitHub, the world's largest software development network.
layout: about
permalink: /about/
published: true
id: /about
icons: true
seo:
  type: person
---

Ben Balter is Chief of Staff for Security at [GitHub](https://github.com/about), the world's largest software development platform. Previously, as a Staff Technical Program manager for Enterprise and Compliance, Ben managed GitHub's on-premises and SaaS enterprise offerings, and as the Senior Product Manager overseeing the platform's Trust and Safety efforts, Ben shipped more than 500 features in support of community management, privacy, compliance, content moderation, product security, platform health, and open source workflows to ensure the GitHub community and platform remained safe, secure, and welcoming for all software developers. Before joining GitHub's Product team, Ben served as GitHub's Government Evangelist, leading the efforts to encourage more than 2,000 government organizations across 75 countries to adopt open source philosophies for code, data, and policy development.

Described by the US Chief Technology Officer as one of "the baddest of the badass innovators," prior to GitHub, Ben was a member of the inaugural class of Presidential Innovation Fellows where he served as entrepreneur in residence reimagining the role of technology in brokering the relationship between citizens and government. Ben has also served as a Fellow in the Office of the US Chief Information Officer within the Executive Office of the President where he was instrumental in drafting President Obama's Digital Strategy and Open Data Policy, and on the SoftWare Automation and Technology (SWAT) Team, the White House's first agile development team. His paper, [Towards a More Agile Government](https://ben.balter.com/2011/11/29/towards-a-more-agile-government/) was published in the Public Contract Law Journal, arguing that Federal IT Procurement should be more amenable to modern, agile development methods.

As an attorney passionate about the disruptive potential of technology, Ben holds a J.D. and an M.B.A. from the George Washington University and is a member of the DC Bar. When not trying to change the world, he enjoys tackling otherwise-impossible challenges to sharing information using nothing more than duct tape, version control, and occasionally a pack of bubblegum. [Full resume](/resume).

Feel free to email him at [Ben@Balter.com](mailto:Ben@Balter.com) or you can find him on these social networks:
