---
title: Talks
description: Slides and recordings from some of the talks I've given over the years.
layout: page
permalink: /talks/
---

Slides (and recordings) from some of the talks I've given over the years. Have a suggestion? [I'd love to hear it](https://github.com/benbalter/talks/issues).

### Community management

* [A community of communities: Empowering maintainers to grow communities around their code](https://ben.balter.com/2019/07/18/a-community-of-communities-oscon-2019/)

* [It takes a digital village: An analytical-ish look at what grows strong communities on GitHub.com](https://speakerdeck.com/benbalter/it-takes-a-digital-village)

* [Growing open source communities on GitHub around your WordPress plugin or theme](https://speakerdeck.com/benbalter/growing-open-source-communities-on-github-around-your-wordpress-plugin-or-theme)

### Collaboration and open source

* [Fostering a culture of collaboration](https://speakerdeck.com/benbalter/fostering-a-culture-of-collaboration)

* [Closed source (just) a few things](https://speakerdeck.com/benbalter/closed-source-a-few-things)

* [Best practices for open source in government](https://speakerdeck.com/benbalter/best-practices-for-open-source-in-government)

* [Open source licensing by the numbers](https://speakerdeck.com/benbalter/open-source-licensing-by-the-numbers)

* [Open source demystified: from command-line to community engagement](https://ben.balter.com/open-source-demistified/) ([source](https://github.com/benbalter/open-source-demistified/))

* [Open collaboration: why you should give open source a second look](http://www.slideshare.net/TechSummitPR/pr-35485194)

### Software development and workflows

* [How to work like an open source project, regardless of what you do](https://speakerdeck.com/benbalter/how-to-work-like-an-open-source-project)

* [How GitHub works like an open source project](https://speakerdeck.com/benbalter/how-github-works-like-an-open-source-project)

* [Three simple rules for building APIs](https://speakerdeck.com/benbalter/three-simple-rules-for-building-apis)

* [Code, Test, Deploy: How to :ship: software like a startup](https://speakerdeck.com/benbalter/code-test-deploy)

* [Rapid development, testing, and deployment the open source way](https://speakerdeck.com/benbalter/open-sourcing-government)

### Open government

* [What government can learn from open source](https://www.youtube.com/watch?v=E3ftpYQyLOc) ([slides](https://speakerdeck.com/benbalter/what-government-can-learn-from-open-source))

* [Software developer as civic service](https://speakerdeck.com/benbalter/software-development-as-civic-service)

* [The revolution will be forked: how open collaboration is reimagining the way government works](https://ben.balter.com/open-sourcing-government/) ([source](https://github.com/benbalter/open-sourcing-government/))

* [Make Government better together: Moving from open government to collaborative government](https://ben.balter.com/make-government-better-together/) ([source](https://github.com/benbalter/make-government-better-together/))

### Law and policy

* [Open source software licensing: empowering others to use your code](https://ben.balter.com/open-source-software-licensing/) ([source](https://github.com/benbalter/open-source-software-licensing/))

* [Collaborative policy making: how technology is making it easier to work together than alone](https://ben.balter.com/collaborative-policymaking/) ([source](https://github.com/benbalter/collaborative-policymaking/))

* [Project open data: a case study in collaborative governance](https://www.youtube.com/watch?v=EL3-UwY3qGE) (video)

### Mapping and GeoJSON

* [Open source, open standards, and 50 lines of code: a look behind GitHub's GeoJSON rendering and diffing](https://ben.balter.com/behind-github-GeoJSON/) ([source](https://github.com/benbalter/behind-github-GeoJSON/))

* [Make maps better together: Collaborative mapping the Open Source Way](https://ben.balter.com/make-maps-better-together/) ([video](https://www.youtube.com/watch?v=iGRb5QRqC2w))

### Miscellaneous

* [A benbalter-centric history of GitHub Pages and Autoblog](https://speakerdeck.com/benbalter/an-at-benbalter-centric-history-of-github-pages-and-autoblog)

* [The next cultural commons: how the internet has been quietly assembling the next cultural cannon](https://ben.balter.com/the-next-cultural-commons/) ([source](https://github.com/benbalter/the-next-cultural-commons//))

[*More talks*](https://speakerdeck.com/benbalter)
